#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(40000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, 0.000000)
Hull.SetPosition2D(-6.000000, 118.000000)
Hull.SetRepairComplexity(2.500000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(2.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(8000.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.000000, 1.930000, -0.600000)
WarpCore.SetPosition2D(-3.000000, 98.000000)
WarpCore.SetRepairComplexity(2.250000)
WarpCore.SetDisabledPercentage(0.400000)
WarpCore.SetRadius(0.250000)
WarpCore.SetMainBatteryLimit(100000.000000)
WarpCore.SetBackupBatteryLimit(200000.000000)
WarpCore.SetMainConduitCapacity(3500.000000)
WarpCore.SetBackupConduitCapacity(500.000000)
WarpCore.SetPowerOutput(3000.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(12000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.000000, 2.843000, -0.350000)
SensorArray.SetPosition2D(11.000000, 113.000000)
SensorArray.SetRepairComplexity(1.000000)
SensorArray.SetDisabledPercentage(0.350000)
SensorArray.SetRadius(0.200000)
SensorArray.SetNormalPowerPerSecond(200.000000)
SensorArray.SetBaseSensorRange(8000.000000)
SensorArray.SetMaxProbes(100)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
DJEnterpriseG = App.ShipProperty_Create("DJEnterpriseG")

DJEnterpriseG.SetGenus(1)
DJEnterpriseG.SetSpecies(105)
DJEnterpriseG.SetMass(700.000000)
DJEnterpriseG.SetRotationalInertia(1000.000000)
DJEnterpriseG.SetShipName("DJEnterpriseGDrive")
DJEnterpriseG.SetModelFilename("data/Models/Ships/DJEnterpriseGDrive.nif")
DJEnterpriseG.SetDamageResolution(15.000000)
DJEnterpriseG.SetAffiliation(0)
DJEnterpriseG.SetStationary(0)
DJEnterpriseG.SetAIString("FedAttack")
DJEnterpriseG.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(DJEnterpriseG)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(13000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.800000, 0.200000)
ShieldGenerator.SetPosition2D(12.000000, 96.000000)
ShieldGenerator.SetRepairComplexity(2.750000)
ShieldGenerator.SetDisabledPercentage(0.300000)
ShieldGenerator.SetRadius(0.250000)
ShieldGenerator.SetNormalPowerPerSecond(1100.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.784314, 0.784314, 1.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 25000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 25000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 25000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 25000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 25000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 25000.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 250.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 250.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 250.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 250.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 250.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 250.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
WarpDrive = App.WarpEngineProperty_Create("Warp Drive")

WarpDrive.SetMaxCondition(9500.000000)
WarpDrive.SetCritical(0)
WarpDrive.SetTargetable(0)
WarpDrive.SetPrimary(1)
WarpDrive.SetPosition(0.000000, 0.000000, 0.000000)
WarpDrive.SetPosition2D(0.000000, 0.000000)
WarpDrive.SetRepairComplexity(5.000000)
WarpDrive.SetDisabledPercentage(0.500000)
WarpDrive.SetRadius(0.050000)
WarpDrive.SetNormalPowerPerSecond(1.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpDrive)
#################################################
PortNacelle = App.EngineProperty_Create("Port Nacelle")

PortNacelle.SetMaxCondition(5000.000000)
PortNacelle.SetCritical(0)
PortNacelle.SetTargetable(1)
PortNacelle.SetPrimary(1)
PortNacelle.SetPosition(-1.930000, -2.500000, 0.550000)
PortNacelle.SetPosition2D(28.000000, 89.000000)
PortNacelle.SetRepairComplexity(5.000000)
PortNacelle.SetDisabledPercentage(0.500000)
PortNacelle.SetRadius(0.250000)
PortNacelle.SetEngineType(PortNacelle.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortNacelle)
#################################################
StarboardNacelle = App.EngineProperty_Create("Starboard Nacelle")

StarboardNacelle.SetMaxCondition(5000.000000)
StarboardNacelle.SetCritical(0)
StarboardNacelle.SetTargetable(1)
StarboardNacelle.SetPrimary(1)
StarboardNacelle.SetPosition(1.930000, -2.500000, 0.550000)
StarboardNacelle.SetPosition2D(101.000000, 91.000000)
StarboardNacelle.SetRepairComplexity(5.000000)
StarboardNacelle.SetDisabledPercentage(0.500000)
StarboardNacelle.SetRadius(0.250000)
StarboardNacelle.SetEngineType(StarboardNacelle.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarboardNacelle)
#################################################
ImpulseDrive = App.ImpulseEngineProperty_Create("Impulse Drive")

ImpulseDrive.SetMaxCondition(3500.000000)
ImpulseDrive.SetCritical(0)
ImpulseDrive.SetTargetable(0)
ImpulseDrive.SetPrimary(1)
ImpulseDrive.SetPosition(0.000000, 0.000000, 0.000000)
ImpulseDrive.SetPosition2D(0.000000, 0.000000)
ImpulseDrive.SetRepairComplexity(1.000000)
ImpulseDrive.SetDisabledPercentage(0.500000)
ImpulseDrive.SetRadius(0.250000)
ImpulseDrive.SetNormalPowerPerSecond(350.000000)
ImpulseDrive.SetMaxAccel(3.500000)
ImpulseDrive.SetMaxAngularAccel(0.300000)
ImpulseDrive.SetMaxAngularVelocity(0.300000)
ImpulseDrive.SetMaxSpeed(12.000000)
ImpulseDrive.SetEngineSound("Federation Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseDrive)
#################################################
MainImpulse = App.EngineProperty_Create("Main Impulse")

MainImpulse.SetMaxCondition(5500.000000)
MainImpulse.SetCritical(0)
MainImpulse.SetTargetable(1)
MainImpulse.SetPrimary(1)
MainImpulse.SetPosition(0.000000, 0.000000, 0.330000)
MainImpulse.SetPosition2D(0.000000, 0.000000)
MainImpulse.SetRepairComplexity(2.000000)
MainImpulse.SetDisabledPercentage(0.350000)
MainImpulse.SetRadius(0.250000)
MainImpulse.SetEngineType(MainImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(MainImpulse)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(1500.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-1.910000, -2.900000, 0.010000)
PortImpulse.SetPosition2D(38.000000, 115.000000)
PortImpulse.SetRepairComplexity(2.000000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(0.150000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarboardImpulse = App.EngineProperty_Create("Starboard Impulse")

StarboardImpulse.SetMaxCondition(1500.000000)
StarboardImpulse.SetCritical(0)
StarboardImpulse.SetTargetable(1)
StarboardImpulse.SetPrimary(1)
StarboardImpulse.SetPosition(1.910000, -2.900000, 0.010000)
StarboardImpulse.SetPosition2D(90.000000, 114.000000)
StarboardImpulse.SetRepairComplexity(2.000000)
StarboardImpulse.SetDisabledPercentage(0.500000)
StarboardImpulse.SetRadius(0.150000)
StarboardImpulse.SetEngineType(StarboardImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarboardImpulse)
#################################################
Tractors = App.WeaponSystemProperty_Create("Tractors")

Tractors.SetMaxCondition(3000.000000)
Tractors.SetCritical(0)
Tractors.SetTargetable(0)
Tractors.SetPrimary(1)
Tractors.SetPosition(0.000000, 0.000000, 0.000000)
Tractors.SetPosition2D(0.000000, 0.000000)
Tractors.SetRepairComplexity(1.000000)
Tractors.SetDisabledPercentage(0.500000)
Tractors.SetRadius(0.250000)
Tractors.SetNormalPowerPerSecond(700.000000)
Tractors.SetWeaponSystemType(Tractors.WST_TRACTOR)
Tractors.SetSingleFire(1)
Tractors.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Tractors.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Tractors)
#################################################
FwdTractor = App.TractorBeamProperty_Create("Fwd Tractor")

FwdTractor.SetMaxCondition(1500.000000)
FwdTractor.SetCritical(0)
FwdTractor.SetTargetable(1)
FwdTractor.SetPrimary(1)
FwdTractor.SetPosition(0.000000, 3.800000, -0.240000)
FwdTractor.SetPosition2D(62.000000, 12.000000)
FwdTractor.SetRepairComplexity(3.000000)
FwdTractor.SetDisabledPercentage(0.500000)
FwdTractor.SetRadius(0.250000)
FwdTractor.SetDumbfire(0)
FwdTractor.SetWeaponID(0)
FwdTractor.SetGroups(0)
FwdTractor.SetDamageRadiusFactor(0.300000)
FwdTractor.SetIconNum(0)
FwdTractor.SetIconPositionX(0.000000)
FwdTractor.SetIconPositionY(0.000000)
FwdTractor.SetIconAboveShip(1)
FwdTractor.SetFireSound("Tractor beam")
FwdTractor.SetMaxCharge(5.000000)
FwdTractor.SetMaxDamage(80.000000)
FwdTractor.SetMaxDamageDistance(125.000000)
FwdTractor.SetMinFiringCharge(3.000000)
FwdTractor.SetNormalDischargeRate(1.000000)
FwdTractor.SetRechargeRate(0.300000)
FwdTractor.SetIndicatorIconNum(0)
FwdTractor.SetIndicatorIconPositionX(0.000000)
FwdTractor.SetIndicatorIconPositionY(0.000000)
FwdTractorForward = App.TGPoint3()
FwdTractorForward.SetXYZ(0.000000, -1.000000, 0.000000)
FwdTractorUp = App.TGPoint3()
FwdTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
FwdTractor.SetOrientation(FwdTractorForward, FwdTractorUp)
FwdTractor.SetArcWidthAngles(-1.963495, 1.963495)
FwdTractor.SetArcHeightAngles(0.087266, 2.356195)
FwdTractor.SetTractorBeamWidth(0.300000)
FwdTractor.SetTextureStart(0)
FwdTractor.SetTextureEnd(0)
FwdTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
FwdTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
FwdTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
FwdTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
FwdTractor.SetInnerCoreColor(kColor)
FwdTractor.SetNumSides(12)
FwdTractor.SetMainRadius(0.075000)
FwdTractor.SetTaperRadius(0.000000)
FwdTractor.SetCoreScale(0.450000)
FwdTractor.SetTaperRatio(0.200000)
FwdTractor.SetTaperMinLength(1.000000)
FwdTractor.SetTaperMaxLength(5.000000)
FwdTractor.SetLengthTextureTilePerUnit(0.250000)
FwdTractor.SetPerimeterTile(1.000000)
FwdTractor.SetTextureSpeed(0.200000)
FwdTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(FwdTractor)
#################################################
AftTractor = App.TractorBeamProperty_Create("Aft Tractor")

AftTractor.SetMaxCondition(1500.000000)
AftTractor.SetCritical(0)
AftTractor.SetTargetable(1)
AftTractor.SetPrimary(1)
AftTractor.SetPosition(0.000000, -0.470000, -0.410000)
AftTractor.SetPosition2D(62.000000, 85.000000)
AftTractor.SetRepairComplexity(3.000000)
AftTractor.SetDisabledPercentage(0.500000)
AftTractor.SetRadius(0.250000)
AftTractor.SetDumbfire(0)
AftTractor.SetWeaponID(0)
AftTractor.SetGroups(0)
AftTractor.SetDamageRadiusFactor(0.300000)
AftTractor.SetIconNum(0)
AftTractor.SetIconPositionX(0.000000)
AftTractor.SetIconPositionY(0.000000)
AftTractor.SetIconAboveShip(1)
AftTractor.SetFireSound("Tractor beam")
AftTractor.SetMaxCharge(5.000000)
AftTractor.SetMaxDamage(80.000000)
AftTractor.SetMaxDamageDistance(125.000000)
AftTractor.SetMinFiringCharge(3.000000)
AftTractor.SetNormalDischargeRate(1.000000)
AftTractor.SetRechargeRate(0.300000)
AftTractor.SetIndicatorIconNum(0)
AftTractor.SetIndicatorIconPositionX(0.000000)
AftTractor.SetIndicatorIconPositionY(0.000000)
AftTractorForward = App.TGPoint3()
AftTractorForward.SetXYZ(0.000000, 1.000000, 0.000000)
AftTractorUp = App.TGPoint3()
AftTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftTractor.SetOrientation(AftTractorForward, AftTractorUp)
AftTractor.SetArcWidthAngles(-1.963495, 1.963495)
AftTractor.SetArcHeightAngles(-0.098175, 2.356195)
AftTractor.SetTractorBeamWidth(0.300000)
AftTractor.SetTextureStart(0)
AftTractor.SetTextureEnd(0)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerCoreColor(kColor)
AftTractor.SetNumSides(12)
AftTractor.SetMainRadius(0.075000)
AftTractor.SetTaperRadius(0.000000)
AftTractor.SetCoreScale(0.450000)
AftTractor.SetTaperRatio(0.200000)
AftTractor.SetTaperMinLength(1.000000)
AftTractor.SetTaperMaxLength(5.000000)
AftTractor.SetLengthTextureTilePerUnit(0.250000)
AftTractor.SetPerimeterTile(1.000000)
AftTractor.SetTextureSpeed(0.200000)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTractor)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 6.000000, 0.000000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, 1.100000, 0.700000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-3.000000, 0.000000, 0.000000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(3.000000, 0.000000, 0.000000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPerson = App.PositionOrientationProperty_Create("FirstPerson")

FirstPersonForward = App.TGPoint3()
FirstPersonForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonUp = App.TGPoint3()
FirstPersonUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonRight = App.TGPoint3()
FirstPersonRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPerson.SetOrientation(FirstPersonForward, FirstPersonUp, FirstPersonRight)
FirstPersonPosition = App.TGPoint3()
FirstPersonPosition.SetXYZ(0.000000, 6.000000, 0.000000)
FirstPerson.SetPosition(FirstPersonPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPerson)
#################################################
Repair = App.RepairSubsystemProperty_Create("Repair")

Repair.SetMaxCondition(1200.000000)
Repair.SetCritical(0)
Repair.SetTargetable(0)
Repair.SetPrimary(1)
Repair.SetPosition(0.000000, 0.000000, 0.000000)
Repair.SetPosition2D(0.000000, 0.000000)
Repair.SetRepairComplexity(1.000000)
Repair.SetDisabledPercentage(0.010000)
Repair.SetRadius(0.010000)
Repair.SetNormalPowerPerSecond(1.000000)
Repair.SetMaxRepairPoints(300.000000)
Repair.SetNumRepairTeams(13)
App.g_kModelPropertyManager.RegisterLocalTemplate(Repair)
#################################################
Phasers = App.WeaponSystemProperty_Create("Phasers")

Phasers.SetMaxCondition(8000.000000)
Phasers.SetCritical(0)
Phasers.SetTargetable(0)
Phasers.SetPrimary(1)
Phasers.SetPosition(0.000000, 0.000000, 0.000000)
Phasers.SetPosition2D(0.000000, 0.000000)
Phasers.SetRepairComplexity(1.000000)
Phasers.SetDisabledPercentage(0.350000)
Phasers.SetRadius(0.250000)
Phasers.SetNormalPowerPerSecond(750.000000)
Phasers.SetWeaponSystemType(Phasers.WST_PHASER)
Phasers.SetSingleFire(0)
Phasers.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Phasers.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Phasers)
#################################################
QuantumTorpedoes = App.WeaponSystemProperty_Create("Quantum Torpedoes")

QuantumTorpedoes.SetMaxCondition(2500.000000)
QuantumTorpedoes.SetCritical(0)
QuantumTorpedoes.SetTargetable(0)
QuantumTorpedoes.SetPrimary(1)
QuantumTorpedoes.SetPosition(0.000000, 0.000000, 0.000000)
QuantumTorpedoes.SetPosition2D(0.000000, 0.000000)
QuantumTorpedoes.SetRepairComplexity(2.000000)
QuantumTorpedoes.SetDisabledPercentage(0.350000)
QuantumTorpedoes.SetRadius(0.250000)
QuantumTorpedoes.SetNormalPowerPerSecond(500.000000)
QuantumTorpedoes.SetWeaponSystemType(QuantumTorpedoes.WST_PULSE)
QuantumTorpedoes.SetSingleFire(1)
QuantumTorpedoes.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
QuantumTorpedoes.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(QuantumTorpedoes)
#################################################
Launcher1 = App.PulseWeaponProperty_Create("Launcher 1")

Launcher1.SetMaxCondition(2000.000000)
Launcher1.SetCritical(0)
Launcher1.SetTargetable(1)
Launcher1.SetPrimary(1)
Launcher1.SetPosition(-0.017000, 2.710000, -0.594000)
Launcher1.SetPosition2D(0.000000, 0.000000)
Launcher1.SetRepairComplexity(1.500000)
Launcher1.SetDisabledPercentage(0.350000)
Launcher1.SetRadius(0.250000)
Launcher1.SetDumbfire(1)
Launcher1.SetWeaponID(8)
Launcher1.SetGroups(0)
Launcher1.SetDamageRadiusFactor(0.300000)
Launcher1.SetIconNum(365)
Launcher1.SetIconPositionX(77.000000)
Launcher1.SetIconPositionY(45.000000)
Launcher1.SetIconAboveShip(1)
Launcher1.SetFireSound("DJQuantum")
Launcher1.SetMaxCharge(50.000000)
Launcher1.SetMaxDamage(1500.000000)
Launcher1.SetMaxDamageDistance(2000.000000)
Launcher1.SetMinFiringCharge(1.000000)
Launcher1.SetNormalDischargeRate(1.000000)
Launcher1.SetRechargeRate(0.000000)
Launcher1.SetIndicatorIconNum(0)
Launcher1.SetIndicatorIconPositionX(15.000000)
Launcher1.SetIndicatorIconPositionY(15.000000)
Launcher1Forward = App.TGPoint3()
Launcher1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Launcher1Up = App.TGPoint3()
Launcher1Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher1.SetOrientation(Launcher1Forward, Launcher1Up)
Launcher1.SetArcWidthAngles(-0.261799, 0.261799)
Launcher1.SetArcHeightAngles(0.087266, -0.349066)
Launcher1.SetCooldownTime(6.000000)
Launcher1.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher1)
#################################################
Launcher2 = App.PulseWeaponProperty_Create("Launcher 2")

Launcher2.SetMaxCondition(2000.000000)
Launcher2.SetCritical(0)
Launcher2.SetTargetable(1)
Launcher2.SetPrimary(1)
Launcher2.SetPosition(0.017000, 2.710000, -0.594000)
Launcher2.SetPosition2D(0.000000, 0.000000)
Launcher2.SetRepairComplexity(1.500000)
Launcher2.SetDisabledPercentage(0.350000)
Launcher2.SetRadius(0.250000)
Launcher2.SetDumbfire(1)
Launcher2.SetWeaponID(8)
Launcher2.SetGroups(0)
Launcher2.SetDamageRadiusFactor(0.300000)
Launcher2.SetIconNum(365)
Launcher2.SetIconPositionX(77.000000)
Launcher2.SetIconPositionY(45.000000)
Launcher2.SetIconAboveShip(1)
Launcher2.SetFireSound("DJQuantum")
Launcher2.SetMaxCharge(50.000000)
Launcher2.SetMaxDamage(1500.000000)
Launcher2.SetMaxDamageDistance(2000.000000)
Launcher2.SetMinFiringCharge(1.000000)
Launcher2.SetNormalDischargeRate(1.000000)
Launcher2.SetRechargeRate(0.000000)
Launcher2.SetIndicatorIconNum(0)
Launcher2.SetIndicatorIconPositionX(79.000000)
Launcher2.SetIndicatorIconPositionY(49.000000)
Launcher2Forward = App.TGPoint3()
Launcher2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Launcher2Up = App.TGPoint3()
Launcher2Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher2.SetOrientation(Launcher2Forward, Launcher2Up)
Launcher2.SetArcWidthAngles(-0.261799, 0.261799)
Launcher2.SetArcHeightAngles(0.087266, -0.349066)
Launcher2.SetCooldownTime(6.000000)
Launcher2.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher2)
#################################################
TorpedoLaunchers = App.TorpedoSystemProperty_Create("Torpedo Launchers")

TorpedoLaunchers.SetMaxCondition(200.000000)
TorpedoLaunchers.SetCritical(0)
TorpedoLaunchers.SetTargetable(0)
TorpedoLaunchers.SetPrimary(1)
TorpedoLaunchers.SetPosition(0.000000, 0.000000, 0.000000)
TorpedoLaunchers.SetPosition2D(0.000000, 0.000000)
TorpedoLaunchers.SetRepairComplexity(1.000000)
TorpedoLaunchers.SetDisabledPercentage(0.500000)
TorpedoLaunchers.SetRadius(0.250000)
TorpedoLaunchers.SetNormalPowerPerSecond(500.000000)
TorpedoLaunchers.SetWeaponSystemType(TorpedoLaunchers.WST_TORPEDO)
TorpedoLaunchers.SetSingleFire(0)
TorpedoLaunchers.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;12;Dual;5;Quad")
TorpedoLaunchers.SetFiringChainString(kFiringChainString)
TorpedoLaunchers.SetMaxTorpedoes(0, 0)
TorpedoLaunchers.SetTorpedoScript(0, "")
TorpedoLaunchers.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoLaunchers)
#################################################
Blinker1 = App.BlinkingLightProperty_Create("Blinker1")

Blinker1Forward = App.TGPoint3()
Blinker1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker1Up = App.TGPoint3()
Blinker1Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker1Right = App.TGPoint3()
Blinker1Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker1.SetOrientation(Blinker1Forward, Blinker1Up, Blinker1Right)
Blinker1Position = App.TGPoint3()
Blinker1Position.SetXYZ(0.000000, 2.916000, 0.435000)
Blinker1.SetPosition(Blinker1Position)
Blinker1LightColor = App.TGColorA()
Blinker1LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker1.SetColor(Blinker1LightColor)
Blinker1.SetRadius(0.750000)
Blinker1.SetPeriod(2.000000)
Blinker1.SetDuration(0.000000)
Blinker1.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker1)
#################################################
Blinker2 = App.BlinkingLightProperty_Create("Blinker2")

Blinker2Forward = App.TGPoint3()
Blinker2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker2Up = App.TGPoint3()
Blinker2Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker2Right = App.TGPoint3()
Blinker2Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker2.SetOrientation(Blinker2Forward, Blinker2Up, Blinker2Right)
Blinker2Position = App.TGPoint3()
Blinker2Position.SetXYZ(-2.118000, 2.000000, -0.013000)
Blinker2.SetPosition(Blinker2Position)
Blinker2LightColor = App.TGColorA()
Blinker2LightColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
Blinker2.SetColor(Blinker2LightColor)
Blinker2.SetRadius(0.750000)
Blinker2.SetPeriod(2.000000)
Blinker2.SetDuration(0.000000)
Blinker2.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker2)
#################################################
Blinker3 = App.BlinkingLightProperty_Create("Blinker3")

Blinker3Forward = App.TGPoint3()
Blinker3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker3Up = App.TGPoint3()
Blinker3Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker3Right = App.TGPoint3()
Blinker3Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker3.SetOrientation(Blinker3Forward, Blinker3Up, Blinker3Right)
Blinker3Position = App.TGPoint3()
Blinker3Position.SetXYZ(2.118000, 2.000000, -0.013000)
Blinker3.SetPosition(Blinker3Position)
Blinker3LightColor = App.TGColorA()
Blinker3LightColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
Blinker3.SetColor(Blinker3LightColor)
Blinker3.SetRadius(0.750000)
Blinker3.SetPeriod(2.000000)
Blinker3.SetDuration(0.000000)
Blinker3.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker3)
#################################################
Blinker4 = App.BlinkingLightProperty_Create("Blinker4")

Blinker4Forward = App.TGPoint3()
Blinker4Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker4Up = App.TGPoint3()
Blinker4Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker4Right = App.TGPoint3()
Blinker4Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker4.SetOrientation(Blinker4Forward, Blinker4Up, Blinker4Right)
Blinker4Position = App.TGPoint3()
Blinker4Position.SetXYZ(0.000000, 5.316000, -0.013000)
Blinker4.SetPosition(Blinker4Position)
Blinker4LightColor = App.TGColorA()
Blinker4LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker4.SetColor(Blinker4LightColor)
Blinker4.SetRadius(0.750000)
Blinker4.SetPeriod(2.000000)
Blinker4.SetDuration(0.000000)
Blinker4.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker4)
#################################################
Blinker5 = App.BlinkingLightProperty_Create("Blinker5")

Blinker5Forward = App.TGPoint3()
Blinker5Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker5Up = App.TGPoint3()
Blinker5Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker5Right = App.TGPoint3()
Blinker5Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker5.SetOrientation(Blinker5Forward, Blinker5Up, Blinker5Right)
Blinker5Position = App.TGPoint3()
Blinker5Position.SetXYZ(-2.118000, 2.000000, -0.123000)
Blinker5.SetPosition(Blinker5Position)
Blinker5LightColor = App.TGColorA()
Blinker5LightColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
Blinker5.SetColor(Blinker5LightColor)
Blinker5.SetRadius(0.750000)
Blinker5.SetPeriod(2.000000)
Blinker5.SetDuration(0.000000)
Blinker5.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker5)
#################################################
Blinker6 = App.BlinkingLightProperty_Create("Blinker6")

Blinker6Forward = App.TGPoint3()
Blinker6Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker6Up = App.TGPoint3()
Blinker6Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker6Right = App.TGPoint3()
Blinker6Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker6.SetOrientation(Blinker6Forward, Blinker6Up, Blinker6Right)
Blinker6Position = App.TGPoint3()
Blinker6Position.SetXYZ(2.118000, 2.000000, -0.123000)
Blinker6.SetPosition(Blinker6Position)
Blinker6LightColor = App.TGColorA()
Blinker6LightColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
Blinker6.SetColor(Blinker6LightColor)
Blinker6.SetRadius(0.750000)
Blinker6.SetPeriod(2.000000)
Blinker6.SetDuration(0.000000)
Blinker6.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker6)
#################################################
Blinker7 = App.BlinkingLightProperty_Create("Blinker7")

Blinker7Forward = App.TGPoint3()
Blinker7Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker7Up = App.TGPoint3()
Blinker7Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker7Right = App.TGPoint3()
Blinker7Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker7.SetOrientation(Blinker7Forward, Blinker7Up, Blinker7Right)
Blinker7Position = App.TGPoint3()
Blinker7Position.SetXYZ(0.000000, 5.316000, -0.124000)
Blinker7.SetPosition(Blinker7Position)
Blinker7LightColor = App.TGColorA()
Blinker7LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker7.SetColor(Blinker7LightColor)
Blinker7.SetRadius(0.750000)
Blinker7.SetPeriod(2.000000)
Blinker7.SetDuration(0.000000)
Blinker7.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker7)
#################################################
Blinker8 = App.BlinkingLightProperty_Create("Blinker8")

Blinker8Forward = App.TGPoint3()
Blinker8Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker8Up = App.TGPoint3()
Blinker8Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker8Right = App.TGPoint3()
Blinker8Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker8.SetOrientation(Blinker8Forward, Blinker8Up, Blinker8Right)
Blinker8Position = App.TGPoint3()
Blinker8Position.SetXYZ(0.000000, 3.833000, -0.243000)
Blinker8.SetPosition(Blinker8Position)
Blinker8LightColor = App.TGColorA()
Blinker8LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker8.SetColor(Blinker8LightColor)
Blinker8.SetRadius(1.500000)
Blinker8.SetPeriod(2.000000)
Blinker8.SetDuration(0.000000)
Blinker8.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker8)
#################################################
Blinker9 = App.BlinkingLightProperty_Create("Blinker9")

Blinker9Forward = App.TGPoint3()
Blinker9Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker9Up = App.TGPoint3()
Blinker9Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker9Right = App.TGPoint3()
Blinker9Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker9.SetOrientation(Blinker9Forward, Blinker9Up, Blinker9Right)
Blinker9Position = App.TGPoint3()
Blinker9Position.SetXYZ(0.000000, 0.143000, -0.736000)
Blinker9.SetPosition(Blinker9Position)
Blinker9LightColor = App.TGColorA()
Blinker9LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker9.SetColor(Blinker9LightColor)
Blinker9.SetRadius(1.500000)
Blinker9.SetPeriod(2.000000)
Blinker9.SetDuration(1.000000)
Blinker9.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker9)
#################################################
Blinker10 = App.BlinkingLightProperty_Create("Blinker10")

Blinker10Forward = App.TGPoint3()
Blinker10Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker10Up = App.TGPoint3()
Blinker10Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker10Right = App.TGPoint3()
Blinker10Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker10.SetOrientation(Blinker10Forward, Blinker10Up, Blinker10Right)
Blinker10Position = App.TGPoint3()
Blinker10Position.SetXYZ(-0.065600, -1.877000, 0.170000)
Blinker10.SetPosition(Blinker10Position)
Blinker10LightColor = App.TGColorA()
Blinker10LightColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
Blinker10.SetColor(Blinker10LightColor)
Blinker10.SetRadius(1.000000)
Blinker10.SetPeriod(2.000000)
Blinker10.SetDuration(0.000000)
Blinker10.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker10)
#################################################
Blinker11 = App.BlinkingLightProperty_Create("Blinker11")

Blinker11Forward = App.TGPoint3()
Blinker11Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker11Up = App.TGPoint3()
Blinker11Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker11Right = App.TGPoint3()
Blinker11Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker11.SetOrientation(Blinker11Forward, Blinker11Up, Blinker11Right)
Blinker11Position = App.TGPoint3()
Blinker11Position.SetXYZ(0.065600, -1.877000, 0.170000)
Blinker11.SetPosition(Blinker11Position)
Blinker11LightColor = App.TGColorA()
Blinker11LightColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
Blinker11.SetColor(Blinker11LightColor)
Blinker11.SetRadius(1.000000)
Blinker11.SetPeriod(2.000000)
Blinker11.SetDuration(0.000000)
Blinker11.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker11)
#################################################
Blinker12 = App.BlinkingLightProperty_Create("Blinker12")

Blinker12Forward = App.TGPoint3()
Blinker12Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker12Up = App.TGPoint3()
Blinker12Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker12Right = App.TGPoint3()
Blinker12Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker12.SetOrientation(Blinker12Forward, Blinker12Up, Blinker12Right)
Blinker12Position = App.TGPoint3()
Blinker12Position.SetXYZ(0.000000, -0.657000, 0.291000)
Blinker12.SetPosition(Blinker12Position)
Blinker12LightColor = App.TGColorA()
Blinker12LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker12.SetColor(Blinker12LightColor)
Blinker12.SetRadius(1.500000)
Blinker12.SetPeriod(2.000000)
Blinker12.SetDuration(1.000000)
Blinker12.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker12)
#################################################
Blinker13 = App.BlinkingLightProperty_Create("Blinker13")

Blinker13Forward = App.TGPoint3()
Blinker13Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker13Up = App.TGPoint3()
Blinker13Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker13Right = App.TGPoint3()
Blinker13Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker13.SetOrientation(Blinker13Forward, Blinker13Up, Blinker13Right)
Blinker13Position = App.TGPoint3()
Blinker13Position.SetXYZ(-0.048000, -1.877000, 0.028000)
Blinker13.SetPosition(Blinker13Position)
Blinker13LightColor = App.TGColorA()
Blinker13LightColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
Blinker13.SetColor(Blinker13LightColor)
Blinker13.SetRadius(1.000000)
Blinker13.SetPeriod(2.000000)
Blinker13.SetDuration(0.000000)
Blinker13.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker13)
#################################################
Blinker14 = App.BlinkingLightProperty_Create("Blinker14")

Blinker14Forward = App.TGPoint3()
Blinker14Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker14Up = App.TGPoint3()
Blinker14Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker14Right = App.TGPoint3()
Blinker14Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker14.SetOrientation(Blinker14Forward, Blinker14Up, Blinker14Right)
Blinker14Position = App.TGPoint3()
Blinker14Position.SetXYZ(0.048000, -1.877000, 0.028000)
Blinker14.SetPosition(Blinker14Position)
Blinker14LightColor = App.TGColorA()
Blinker14LightColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
Blinker14.SetColor(Blinker14LightColor)
Blinker14.SetRadius(1.000000)
Blinker14.SetPeriod(2.000000)
Blinker14.SetDuration(0.000000)
Blinker14.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker14)
#################################################
Blinker15 = App.BlinkingLightProperty_Create("Blinker15")

Blinker15Forward = App.TGPoint3()
Blinker15Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker15Up = App.TGPoint3()
Blinker15Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker15Right = App.TGPoint3()
Blinker15Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker15.SetOrientation(Blinker15Forward, Blinker15Up, Blinker15Right)
Blinker15Position = App.TGPoint3()
Blinker15Position.SetXYZ(-1.904000, -0.557000, 0.678000)
Blinker15.SetPosition(Blinker15Position)
Blinker15LightColor = App.TGColorA()
Blinker15LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker15.SetColor(Blinker15LightColor)
Blinker15.SetRadius(1.000000)
Blinker15.SetPeriod(2.000000)
Blinker15.SetDuration(1.000000)
Blinker15.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker15)
#################################################
Blinker16 = App.BlinkingLightProperty_Create("Blinker16")

Blinker16Forward = App.TGPoint3()
Blinker16Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker16Up = App.TGPoint3()
Blinker16Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker16Right = App.TGPoint3()
Blinker16Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker16.SetOrientation(Blinker16Forward, Blinker16Up, Blinker16Right)
Blinker16Position = App.TGPoint3()
Blinker16Position.SetXYZ(1.904000, -0.557000, 0.678000)
Blinker16.SetPosition(Blinker16Position)
Blinker16LightColor = App.TGColorA()
Blinker16LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker16.SetColor(Blinker16LightColor)
Blinker16.SetRadius(1.000000)
Blinker16.SetPeriod(2.000000)
Blinker16.SetDuration(1.000000)
Blinker16.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker16)
#################################################
Blinker17 = App.BlinkingLightProperty_Create("Blinker17")

Blinker17Forward = App.TGPoint3()
Blinker17Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker17Up = App.TGPoint3()
Blinker17Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker17Right = App.TGPoint3()
Blinker17Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker17.SetOrientation(Blinker17Forward, Blinker17Up, Blinker17Right)
Blinker17Position = App.TGPoint3()
Blinker17Position.SetXYZ(-1.904000, -3.657000, 0.656000)
Blinker17.SetPosition(Blinker17Position)
Blinker17LightColor = App.TGColorA()
Blinker17LightColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
Blinker17.SetColor(Blinker17LightColor)
Blinker17.SetRadius(1.000000)
Blinker17.SetPeriod(2.000000)
Blinker17.SetDuration(0.000000)
Blinker17.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker17)
#################################################
Blinker18 = App.BlinkingLightProperty_Create("Blinker18")

Blinker18Forward = App.TGPoint3()
Blinker18Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker18Up = App.TGPoint3()
Blinker18Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker18Right = App.TGPoint3()
Blinker18Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker18.SetOrientation(Blinker18Forward, Blinker18Up, Blinker18Right)
Blinker18Position = App.TGPoint3()
Blinker18Position.SetXYZ(1.904000, -3.657000, 0.656000)
Blinker18.SetPosition(Blinker18Position)
Blinker18LightColor = App.TGColorA()
Blinker18LightColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
Blinker18.SetColor(Blinker18LightColor)
Blinker18.SetRadius(1.000000)
Blinker18.SetPeriod(2.000000)
Blinker18.SetDuration(0.000000)
Blinker18.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker18)
#################################################
Blinker19 = App.BlinkingLightProperty_Create("Blinker19")

Blinker19Forward = App.TGPoint3()
Blinker19Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker19Up = App.TGPoint3()
Blinker19Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker19Right = App.TGPoint3()
Blinker19Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker19.SetOrientation(Blinker19Forward, Blinker19Up, Blinker19Right)
Blinker19Position = App.TGPoint3()
Blinker19Position.SetXYZ(-1.904000, -4.157000, 0.228000)
Blinker19.SetPosition(Blinker19Position)
Blinker19LightColor = App.TGColorA()
Blinker19LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker19.SetColor(Blinker19LightColor)
Blinker19.SetRadius(1.000000)
Blinker19.SetPeriod(2.000000)
Blinker19.SetDuration(1.000000)
Blinker19.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker19)
#################################################
Blinker20 = App.BlinkingLightProperty_Create("Blinker20")

Blinker20Forward = App.TGPoint3()
Blinker20Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Blinker20Up = App.TGPoint3()
Blinker20Up.SetXYZ(0.000000, 0.000000, 1.000000)
Blinker20Right = App.TGPoint3()
Blinker20Right.SetXYZ(1.000000, 0.000000, 0.000000)
Blinker20.SetOrientation(Blinker20Forward, Blinker20Up, Blinker20Right)
Blinker20Position = App.TGPoint3()
Blinker20Position.SetXYZ(1.904000, -4.157000, 0.228000)
Blinker20.SetPosition(Blinker20Position)
Blinker20LightColor = App.TGColorA()
Blinker20LightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Blinker20.SetColor(Blinker20LightColor)
Blinker20.SetRadius(1.000000)
Blinker20.SetPeriod(2.000000)
Blinker20.SetDuration(1.000000)
Blinker20.SetTextureName("scripts/Custom/NanoFXv2/SpecialFX/Gfx/Blinker/Blank.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Blinker20)
#################################################
ForwardAblativeArmor = App.HullProperty_Create("Forward Ablative Armor")

ForwardAblativeArmor.SetMaxCondition(12000.000000)
ForwardAblativeArmor.SetCritical(0)
ForwardAblativeArmor.SetTargetable(1)
ForwardAblativeArmor.SetPrimary(0)
ForwardAblativeArmor.SetPosition(0.000000, 3.000000, -0.070000)
ForwardAblativeArmor.SetPosition2D(130.000000, 7.000000)
ForwardAblativeArmor.SetRepairComplexity(9.000000)
ForwardAblativeArmor.SetDisabledPercentage(0.500000)
ForwardAblativeArmor.SetRadius(1.600000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardAblativeArmor)
#################################################
AftAblativeArmor = App.HullProperty_Create("Aft Ablative Armor")

AftAblativeArmor.SetMaxCondition(12000.000000)
AftAblativeArmor.SetCritical(0)
AftAblativeArmor.SetTargetable(1)
AftAblativeArmor.SetPrimary(0)
AftAblativeArmor.SetPosition(0.000000, -2.500000, 0.000000)
AftAblativeArmor.SetPosition2D(130.000000, 25.000000)
AftAblativeArmor.SetRepairComplexity(9.000000)
AftAblativeArmor.SetDisabledPercentage(0.500000)
AftAblativeArmor.SetRadius(2.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(AftAblativeArmor)
#################################################
DorsalAblativeArmor = App.HullProperty_Create("Dorsal Ablative Armor")

DorsalAblativeArmor.SetMaxCondition(12000.000000)
DorsalAblativeArmor.SetCritical(0)
DorsalAblativeArmor.SetTargetable(1)
DorsalAblativeArmor.SetPrimary(0)
DorsalAblativeArmor.SetPosition(0.000000, 1.000000, 0.200000)
DorsalAblativeArmor.SetPosition2D(129.000000, 43.000000)
DorsalAblativeArmor.SetRepairComplexity(9.000000)
DorsalAblativeArmor.SetDisabledPercentage(0.500000)
DorsalAblativeArmor.SetRadius(1.600000)
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalAblativeArmor)
#################################################
VentralAblativeArmor = App.HullProperty_Create("Ventral Ablative Armor")

VentralAblativeArmor.SetMaxCondition(12000.000000)
VentralAblativeArmor.SetCritical(0)
VentralAblativeArmor.SetTargetable(1)
VentralAblativeArmor.SetPrimary(0)
VentralAblativeArmor.SetPosition(0.000000, 1.000000, -0.500000)
VentralAblativeArmor.SetPosition2D(129.000000, 61.000000)
VentralAblativeArmor.SetRepairComplexity(9.000000)
VentralAblativeArmor.SetDisabledPercentage(0.500000)
VentralAblativeArmor.SetRadius(1.500000)
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralAblativeArmor)
#################################################
AftDorsal1 = App.PhaserProperty_Create("Aft Dorsal 1")

AftDorsal1.SetMaxCondition(2000.000000)
AftDorsal1.SetCritical(0)
AftDorsal1.SetTargetable(1)
AftDorsal1.SetPrimary(1)
AftDorsal1.SetPosition(-0.600000, -1.857000, 0.190000)
AftDorsal1.SetPosition2D(-7.000000, 32.000000)
AftDorsal1.SetRepairComplexity(1.000000)
AftDorsal1.SetDisabledPercentage(0.400000)
AftDorsal1.SetRadius(0.250000)
AftDorsal1.SetDumbfire(0)
AftDorsal1.SetWeaponID(1)
AftDorsal1.SetGroups(0)
AftDorsal1.SetDamageRadiusFactor(0.250000)
AftDorsal1.SetIconNum(0)
AftDorsal1.SetIconPositionX(15.000000)
AftDorsal1.SetIconPositionY(40.000000)
AftDorsal1.SetIconAboveShip(1)
AftDorsal1.SetFireSound("DJPhaser")
AftDorsal1.SetMaxCharge(1.500000)
AftDorsal1.SetMaxDamage(2250.000000)
AftDorsal1.SetMaxDamageDistance(100.000000)
AftDorsal1.SetMinFiringCharge(1.500000)
AftDorsal1.SetNormalDischargeRate(2.500000)
AftDorsal1.SetRechargeRate(1.000000)
AftDorsal1.SetIndicatorIconNum(0)
AftDorsal1.SetIndicatorIconPositionX(11.000000)
AftDorsal1.SetIndicatorIconPositionY(40.000000)
AftDorsal1Forward = App.TGPoint3()
AftDorsal1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
AftDorsal1Up = App.TGPoint3()
AftDorsal1Up.SetXYZ(0.000000, 0.000000, 1.000000)
AftDorsal1.SetOrientation(AftDorsal1Forward, AftDorsal1Up)
AftDorsal1.SetWidth(0.001000)
AftDorsal1.SetLength(0.001000)
AftDorsal1.SetArcWidthAngles(-0.087266, 0.349066)
AftDorsal1.SetArcHeightAngles(0.000000, 1.047198)
AftDorsal1.SetPhaserTextureStart(0)
AftDorsal1.SetPhaserTextureEnd(0)
AftDorsal1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
AftDorsal1.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
AftDorsal1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
AftDorsal1.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
AftDorsal1.SetInnerCoreColor(kColor)
AftDorsal1.SetNumSides(6)
AftDorsal1.SetMainRadius(0.140000)
AftDorsal1.SetTaperRadius(0.020000)
AftDorsal1.SetCoreScale(0.300000)
AftDorsal1.SetTaperRatio(0.250000)
AftDorsal1.SetTaperMinLength(30.000000)
AftDorsal1.SetTaperMaxLength(30.000000)
AftDorsal1.SetLengthTextureTilePerUnit(0.050000)
AftDorsal1.SetPerimeterTile(1.000000)
AftDorsal1.SetTextureSpeed(1.000000)
AftDorsal1.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftDorsal1)
#################################################
AftDorsal2 = App.PhaserProperty_Create("Aft Dorsal 2")

AftDorsal2.SetMaxCondition(2000.000000)
AftDorsal2.SetCritical(0)
AftDorsal2.SetTargetable(1)
AftDorsal2.SetPrimary(1)
AftDorsal2.SetPosition(0.000000, -1.795000, 0.190000)
AftDorsal2.SetPosition2D(-7.000000, 32.000000)
AftDorsal2.SetRepairComplexity(1.000000)
AftDorsal2.SetDisabledPercentage(0.400000)
AftDorsal2.SetRadius(0.250000)
AftDorsal2.SetDumbfire(0)
AftDorsal2.SetWeaponID(1)
AftDorsal2.SetGroups(0)
AftDorsal2.SetDamageRadiusFactor(0.250000)
AftDorsal2.SetIconNum(363)
AftDorsal2.SetIconPositionX(65.000000)
AftDorsal2.SetIconPositionY(126.000000)
AftDorsal2.SetIconAboveShip(1)
AftDorsal2.SetFireSound("DJPhaser")
AftDorsal2.SetMaxCharge(1.500000)
AftDorsal2.SetMaxDamage(2250.000000)
AftDorsal2.SetMaxDamageDistance(100.000000)
AftDorsal2.SetMinFiringCharge(1.500000)
AftDorsal2.SetNormalDischargeRate(2.500000)
AftDorsal2.SetRechargeRate(1.000000)
AftDorsal2.SetIndicatorIconNum(511)
AftDorsal2.SetIndicatorIconPositionX(60.000000)
AftDorsal2.SetIndicatorIconPositionY(121.000000)
AftDorsal2Forward = App.TGPoint3()
AftDorsal2Forward.SetXYZ(0.000000, -1.000000, 0.000000)
AftDorsal2Up = App.TGPoint3()
AftDorsal2Up.SetXYZ(0.000000, 0.000000, 1.000000)
AftDorsal2.SetOrientation(AftDorsal2Forward, AftDorsal2Up)
AftDorsal2.SetWidth(0.001000)
AftDorsal2.SetLength(0.001000)
AftDorsal2.SetArcWidthAngles(-0.349066, 0.349066)
AftDorsal2.SetArcHeightAngles(0.000000, 1.396263)
AftDorsal2.SetPhaserTextureStart(0)
AftDorsal2.SetPhaserTextureEnd(0)
AftDorsal2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
AftDorsal2.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
AftDorsal2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
AftDorsal2.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
AftDorsal2.SetInnerCoreColor(kColor)
AftDorsal2.SetNumSides(6)
AftDorsal2.SetMainRadius(0.140000)
AftDorsal2.SetTaperRadius(0.020000)
AftDorsal2.SetCoreScale(0.300000)
AftDorsal2.SetTaperRatio(0.250000)
AftDorsal2.SetTaperMinLength(30.000000)
AftDorsal2.SetTaperMaxLength(30.000000)
AftDorsal2.SetLengthTextureTilePerUnit(0.050000)
AftDorsal2.SetPerimeterTile(1.000000)
AftDorsal2.SetTextureSpeed(1.000000)
AftDorsal2.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftDorsal2)
#################################################
AftDorsal3 = App.PhaserProperty_Create("Aft Dorsal 3")

AftDorsal3.SetMaxCondition(2000.000000)
AftDorsal3.SetCritical(0)
AftDorsal3.SetTargetable(1)
AftDorsal3.SetPrimary(1)
AftDorsal3.SetPosition(0.600000, -1.857000, 0.190000)
AftDorsal3.SetPosition2D(-7.000000, 32.000000)
AftDorsal3.SetRepairComplexity(1.000000)
AftDorsal3.SetDisabledPercentage(0.400000)
AftDorsal3.SetRadius(0.250000)
AftDorsal3.SetDumbfire(0)
AftDorsal3.SetWeaponID(1)
AftDorsal3.SetGroups(0)
AftDorsal3.SetDamageRadiusFactor(0.250000)
AftDorsal3.SetIconNum(0)
AftDorsal3.SetIconPositionX(15.000000)
AftDorsal3.SetIconPositionY(40.000000)
AftDorsal3.SetIconAboveShip(1)
AftDorsal3.SetFireSound("DJPhaser")
AftDorsal3.SetMaxCharge(1.500000)
AftDorsal3.SetMaxDamage(2250.000000)
AftDorsal3.SetMaxDamageDistance(100.000000)
AftDorsal3.SetMinFiringCharge(1.500000)
AftDorsal3.SetNormalDischargeRate(2.500000)
AftDorsal3.SetRechargeRate(1.000000)
AftDorsal3.SetIndicatorIconNum(0)
AftDorsal3.SetIndicatorIconPositionX(11.000000)
AftDorsal3.SetIndicatorIconPositionY(40.000000)
AftDorsal3Forward = App.TGPoint3()
AftDorsal3Forward.SetXYZ(0.000000, -1.000000, 0.000000)
AftDorsal3Up = App.TGPoint3()
AftDorsal3Up.SetXYZ(0.000000, 0.000000, 1.000000)
AftDorsal3.SetOrientation(AftDorsal3Forward, AftDorsal3Up)
AftDorsal3.SetWidth(0.001000)
AftDorsal3.SetLength(0.001000)
AftDorsal3.SetArcWidthAngles(-0.349066, 0.087266)
AftDorsal3.SetArcHeightAngles(0.000000, 1.047198)
AftDorsal3.SetPhaserTextureStart(0)
AftDorsal3.SetPhaserTextureEnd(0)
AftDorsal3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
AftDorsal3.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
AftDorsal3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
AftDorsal3.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
AftDorsal3.SetInnerCoreColor(kColor)
AftDorsal3.SetNumSides(6)
AftDorsal3.SetMainRadius(0.140000)
AftDorsal3.SetTaperRadius(0.020000)
AftDorsal3.SetCoreScale(0.300000)
AftDorsal3.SetTaperRatio(0.250000)
AftDorsal3.SetTaperMinLength(30.000000)
AftDorsal3.SetTaperMaxLength(30.000000)
AftDorsal3.SetLengthTextureTilePerUnit(0.050000)
AftDorsal3.SetPerimeterTile(1.000000)
AftDorsal3.SetTextureSpeed(1.000000)
AftDorsal3.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftDorsal3)
#################################################
AftVentral1 = App.PhaserProperty_Create("Aft Ventral 1")

AftVentral1.SetMaxCondition(2000.000000)
AftVentral1.SetCritical(0)
AftVentral1.SetTargetable(1)
AftVentral1.SetPrimary(1)
AftVentral1.SetPosition(-0.600000, -1.857000, 0.000000)
AftVentral1.SetPosition2D(-7.000000, 32.000000)
AftVentral1.SetRepairComplexity(1.000000)
AftVentral1.SetDisabledPercentage(0.400000)
AftVentral1.SetRadius(0.250000)
AftVentral1.SetDumbfire(0)
AftVentral1.SetWeaponID(1)
AftVentral1.SetGroups(0)
AftVentral1.SetDamageRadiusFactor(0.250000)
AftVentral1.SetIconNum(0)
AftVentral1.SetIconPositionX(15.000000)
AftVentral1.SetIconPositionY(40.000000)
AftVentral1.SetIconAboveShip(1)
AftVentral1.SetFireSound("DJPhaser")
AftVentral1.SetMaxCharge(1.500000)
AftVentral1.SetMaxDamage(2250.000000)
AftVentral1.SetMaxDamageDistance(100.000000)
AftVentral1.SetMinFiringCharge(1.500000)
AftVentral1.SetNormalDischargeRate(2.500000)
AftVentral1.SetRechargeRate(1.000000)
AftVentral1.SetIndicatorIconNum(0)
AftVentral1.SetIndicatorIconPositionX(11.000000)
AftVentral1.SetIndicatorIconPositionY(40.000000)
AftVentral1Forward = App.TGPoint3()
AftVentral1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
AftVentral1Up = App.TGPoint3()
AftVentral1Up.SetXYZ(0.000000, 0.000000, -1.000000)
AftVentral1.SetOrientation(AftVentral1Forward, AftVentral1Up)
AftVentral1.SetWidth(0.001000)
AftVentral1.SetLength(0.001000)
AftVentral1.SetArcWidthAngles(-0.698132, 0.087266)
AftVentral1.SetArcHeightAngles(0.000000, 1.047198)
AftVentral1.SetPhaserTextureStart(0)
AftVentral1.SetPhaserTextureEnd(0)
AftVentral1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
AftVentral1.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
AftVentral1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
AftVentral1.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
AftVentral1.SetInnerCoreColor(kColor)
AftVentral1.SetNumSides(6)
AftVentral1.SetMainRadius(0.140000)
AftVentral1.SetTaperRadius(0.020000)
AftVentral1.SetCoreScale(0.300000)
AftVentral1.SetTaperRatio(0.250000)
AftVentral1.SetTaperMinLength(30.000000)
AftVentral1.SetTaperMaxLength(30.000000)
AftVentral1.SetLengthTextureTilePerUnit(0.050000)
AftVentral1.SetPerimeterTile(1.000000)
AftVentral1.SetTextureSpeed(1.000000)
AftVentral1.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftVentral1)
#################################################
AftVentral2 = App.PhaserProperty_Create("Aft Ventral 2")

AftVentral2.SetMaxCondition(2000.000000)
AftVentral2.SetCritical(0)
AftVentral2.SetTargetable(1)
AftVentral2.SetPrimary(1)
AftVentral2.SetPosition(0.000000, -1.795000, 0.000000)
AftVentral2.SetPosition2D(-7.000000, 32.000000)
AftVentral2.SetRepairComplexity(1.000000)
AftVentral2.SetDisabledPercentage(0.400000)
AftVentral2.SetRadius(0.250000)
AftVentral2.SetDumbfire(0)
AftVentral2.SetWeaponID(1)
AftVentral2.SetGroups(0)
AftVentral2.SetDamageRadiusFactor(0.250000)
AftVentral2.SetIconNum(363)
AftVentral2.SetIconPositionX(65.000000)
AftVentral2.SetIconPositionY(118.000000)
AftVentral2.SetIconAboveShip(1)
AftVentral2.SetFireSound("DJPhaser")
AftVentral2.SetMaxCharge(1.500000)
AftVentral2.SetMaxDamage(2250.000000)
AftVentral2.SetMaxDamageDistance(100.000000)
AftVentral2.SetMinFiringCharge(1.500000)
AftVentral2.SetNormalDischargeRate(2.500000)
AftVentral2.SetRechargeRate(1.000000)
AftVentral2.SetIndicatorIconNum(511)
AftVentral2.SetIndicatorIconPositionX(60.000000)
AftVentral2.SetIndicatorIconPositionY(113.000000)
AftVentral2Forward = App.TGPoint3()
AftVentral2Forward.SetXYZ(0.000000, -1.000000, 0.000000)
AftVentral2Up = App.TGPoint3()
AftVentral2Up.SetXYZ(0.000000, 0.000000, -1.000000)
AftVentral2.SetOrientation(AftVentral2Forward, AftVentral2Up)
AftVentral2.SetWidth(0.001000)
AftVentral2.SetLength(0.001000)
AftVentral2.SetArcWidthAngles(-0.349066, 0.349066)
AftVentral2.SetArcHeightAngles(0.000000, 1.396263)
AftVentral2.SetPhaserTextureStart(0)
AftVentral2.SetPhaserTextureEnd(0)
AftVentral2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
AftVentral2.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
AftVentral2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
AftVentral2.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
AftVentral2.SetInnerCoreColor(kColor)
AftVentral2.SetNumSides(6)
AftVentral2.SetMainRadius(0.140000)
AftVentral2.SetTaperRadius(0.020000)
AftVentral2.SetCoreScale(0.300000)
AftVentral2.SetTaperRatio(0.250000)
AftVentral2.SetTaperMinLength(30.000000)
AftVentral2.SetTaperMaxLength(30.000000)
AftVentral2.SetLengthTextureTilePerUnit(0.050000)
AftVentral2.SetPerimeterTile(1.000000)
AftVentral2.SetTextureSpeed(1.000000)
AftVentral2.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftVentral2)
#################################################
AftVentral3 = App.PhaserProperty_Create("Aft Ventral 3")

AftVentral3.SetMaxCondition(2000.000000)
AftVentral3.SetCritical(0)
AftVentral3.SetTargetable(1)
AftVentral3.SetPrimary(1)
AftVentral3.SetPosition(0.600000, -1.857000, 0.000000)
AftVentral3.SetPosition2D(-7.000000, 32.000000)
AftVentral3.SetRepairComplexity(1.000000)
AftVentral3.SetDisabledPercentage(0.400000)
AftVentral3.SetRadius(0.250000)
AftVentral3.SetDumbfire(0)
AftVentral3.SetWeaponID(1)
AftVentral3.SetGroups(0)
AftVentral3.SetDamageRadiusFactor(0.250000)
AftVentral3.SetIconNum(0)
AftVentral3.SetIconPositionX(15.000000)
AftVentral3.SetIconPositionY(40.000000)
AftVentral3.SetIconAboveShip(1)
AftVentral3.SetFireSound("DJPhaser")
AftVentral3.SetMaxCharge(1.500000)
AftVentral3.SetMaxDamage(2250.000000)
AftVentral3.SetMaxDamageDistance(100.000000)
AftVentral3.SetMinFiringCharge(1.500000)
AftVentral3.SetNormalDischargeRate(2.500000)
AftVentral3.SetRechargeRate(1.000000)
AftVentral3.SetIndicatorIconNum(0)
AftVentral3.SetIndicatorIconPositionX(11.000000)
AftVentral3.SetIndicatorIconPositionY(40.000000)
AftVentral3Forward = App.TGPoint3()
AftVentral3Forward.SetXYZ(0.000000, -1.000000, 0.000000)
AftVentral3Up = App.TGPoint3()
AftVentral3Up.SetXYZ(0.000000, 0.000000, -1.000000)
AftVentral3.SetOrientation(AftVentral3Forward, AftVentral3Up)
AftVentral3.SetWidth(0.001000)
AftVentral3.SetLength(0.001000)
AftVentral3.SetArcWidthAngles(-0.087266, 0.698132)
AftVentral3.SetArcHeightAngles(0.000000, 1.047198)
AftVentral3.SetPhaserTextureStart(0)
AftVentral3.SetPhaserTextureEnd(0)
AftVentral3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
AftVentral3.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
AftVentral3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
AftVentral3.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
AftVentral3.SetInnerCoreColor(kColor)
AftVentral3.SetNumSides(6)
AftVentral3.SetMainRadius(0.140000)
AftVentral3.SetTaperRadius(0.020000)
AftVentral3.SetCoreScale(0.300000)
AftVentral3.SetTaperRatio(0.250000)
AftVentral3.SetTaperMinLength(30.000000)
AftVentral3.SetTaperMaxLength(30.000000)
AftVentral3.SetLengthTextureTilePerUnit(0.050000)
AftVentral3.SetPerimeterTile(1.000000)
AftVentral3.SetTextureSpeed(1.000000)
AftVentral3.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftVentral3)
#################################################
NacelleDorsal1 = App.PhaserProperty_Create("Nacelle Dorsal 1")

NacelleDorsal1.SetMaxCondition(2000.000000)
NacelleDorsal1.SetCritical(0)
NacelleDorsal1.SetTargetable(1)
NacelleDorsal1.SetPrimary(1)
NacelleDorsal1.SetPosition(-1.900000, -2.707000, 0.700000)
NacelleDorsal1.SetPosition2D(-7.000000, 32.000000)
NacelleDorsal1.SetRepairComplexity(1.000000)
NacelleDorsal1.SetDisabledPercentage(0.400000)
NacelleDorsal1.SetRadius(0.250000)
NacelleDorsal1.SetDumbfire(0)
NacelleDorsal1.SetWeaponID(1)
NacelleDorsal1.SetGroups(0)
NacelleDorsal1.SetDamageRadiusFactor(0.250000)
NacelleDorsal1.SetIconNum(361)
NacelleDorsal1.SetIconPositionX(44.000000)
NacelleDorsal1.SetIconPositionY(77.000000)
NacelleDorsal1.SetIconAboveShip(1)
NacelleDorsal1.SetFireSound("DJPhaser")
NacelleDorsal1.SetMaxCharge(1.500000)
NacelleDorsal1.SetMaxDamage(1500.000000)
NacelleDorsal1.SetMaxDamageDistance(100.000000)
NacelleDorsal1.SetMinFiringCharge(1.500000)
NacelleDorsal1.SetNormalDischargeRate(2.500000)
NacelleDorsal1.SetRechargeRate(1.000000)
NacelleDorsal1.SetIndicatorIconNum(508)
NacelleDorsal1.SetIndicatorIconPositionX(42.000000)
NacelleDorsal1.SetIndicatorIconPositionY(77.000000)
NacelleDorsal1Forward = App.TGPoint3()
NacelleDorsal1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
NacelleDorsal1Up = App.TGPoint3()
NacelleDorsal1Up.SetXYZ(0.000000, 0.000000, 1.000000)
NacelleDorsal1.SetOrientation(NacelleDorsal1Forward, NacelleDorsal1Up)
NacelleDorsal1.SetWidth(0.001000)
NacelleDorsal1.SetLength(0.001000)
NacelleDorsal1.SetArcWidthAngles(-3.141593, 3.141593)
NacelleDorsal1.SetArcHeightAngles(0.523599, 1.570796)
NacelleDorsal1.SetPhaserTextureStart(0)
NacelleDorsal1.SetPhaserTextureEnd(0)
NacelleDorsal1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
NacelleDorsal1.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
NacelleDorsal1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
NacelleDorsal1.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
NacelleDorsal1.SetInnerCoreColor(kColor)
NacelleDorsal1.SetNumSides(6)
NacelleDorsal1.SetMainRadius(0.140000)
NacelleDorsal1.SetTaperRadius(0.020000)
NacelleDorsal1.SetCoreScale(0.300000)
NacelleDorsal1.SetTaperRatio(0.250000)
NacelleDorsal1.SetTaperMinLength(30.000000)
NacelleDorsal1.SetTaperMaxLength(30.000000)
NacelleDorsal1.SetLengthTextureTilePerUnit(0.050000)
NacelleDorsal1.SetPerimeterTile(1.000000)
NacelleDorsal1.SetTextureSpeed(1.000000)
NacelleDorsal1.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(NacelleDorsal1)
#################################################
NacelleDorsal2 = App.PhaserProperty_Create("Nacelle Dorsal 2")

NacelleDorsal2.SetMaxCondition(2000.000000)
NacelleDorsal2.SetCritical(0)
NacelleDorsal2.SetTargetable(1)
NacelleDorsal2.SetPrimary(1)
NacelleDorsal2.SetPosition(1.900000, -2.707000, 0.700000)
NacelleDorsal2.SetPosition2D(-7.000000, 32.000000)
NacelleDorsal2.SetRepairComplexity(1.000000)
NacelleDorsal2.SetDisabledPercentage(0.400000)
NacelleDorsal2.SetRadius(0.250000)
NacelleDorsal2.SetDumbfire(0)
NacelleDorsal2.SetWeaponID(1)
NacelleDorsal2.SetGroups(0)
NacelleDorsal2.SetDamageRadiusFactor(0.250000)
NacelleDorsal2.SetIconNum(362)
NacelleDorsal2.SetIconPositionX(98.000000)
NacelleDorsal2.SetIconPositionY(78.000000)
NacelleDorsal2.SetIconAboveShip(1)
NacelleDorsal2.SetFireSound("DJPhaser")
NacelleDorsal2.SetMaxCharge(1.500000)
NacelleDorsal2.SetMaxDamage(1500.000000)
NacelleDorsal2.SetMaxDamageDistance(100.000000)
NacelleDorsal2.SetMinFiringCharge(1.500000)
NacelleDorsal2.SetNormalDischargeRate(2.500000)
NacelleDorsal2.SetRechargeRate(1.000000)
NacelleDorsal2.SetIndicatorIconNum(509)
NacelleDorsal2.SetIndicatorIconPositionX(97.000000)
NacelleDorsal2.SetIndicatorIconPositionY(78.000000)
NacelleDorsal2Forward = App.TGPoint3()
NacelleDorsal2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
NacelleDorsal2Up = App.TGPoint3()
NacelleDorsal2Up.SetXYZ(0.000000, 0.000000, 1.000000)
NacelleDorsal2.SetOrientation(NacelleDorsal2Forward, NacelleDorsal2Up)
NacelleDorsal2.SetWidth(0.001000)
NacelleDorsal2.SetLength(0.001000)
NacelleDorsal2.SetArcWidthAngles(-3.141593, 3.141593)
NacelleDorsal2.SetArcHeightAngles(0.523599, 1.570796)
NacelleDorsal2.SetPhaserTextureStart(0)
NacelleDorsal2.SetPhaserTextureEnd(0)
NacelleDorsal2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
NacelleDorsal2.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
NacelleDorsal2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
NacelleDorsal2.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
NacelleDorsal2.SetInnerCoreColor(kColor)
NacelleDorsal2.SetNumSides(6)
NacelleDorsal2.SetMainRadius(0.140000)
NacelleDorsal2.SetTaperRadius(0.020000)
NacelleDorsal2.SetCoreScale(0.300000)
NacelleDorsal2.SetTaperRatio(0.250000)
NacelleDorsal2.SetTaperMinLength(30.000000)
NacelleDorsal2.SetTaperMaxLength(30.000000)
NacelleDorsal2.SetLengthTextureTilePerUnit(0.050000)
NacelleDorsal2.SetPerimeterTile(1.000000)
NacelleDorsal2.SetTextureSpeed(1.000000)
NacelleDorsal2.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(NacelleDorsal2)
#################################################
Pylon1 = App.PhaserProperty_Create("Pylon 1")

Pylon1.SetMaxCondition(2000.000000)
Pylon1.SetCritical(0)
Pylon1.SetTargetable(1)
Pylon1.SetPrimary(1)
Pylon1.SetPosition(-2.078000, -2.407000, 0.075000)
Pylon1.SetPosition2D(-7.000000, 32.000000)
Pylon1.SetRepairComplexity(1.000000)
Pylon1.SetDisabledPercentage(0.400000)
Pylon1.SetRadius(0.250000)
Pylon1.SetDumbfire(0)
Pylon1.SetWeaponID(1)
Pylon1.SetGroups(0)
Pylon1.SetDamageRadiusFactor(0.250000)
Pylon1.SetIconNum(361)
Pylon1.SetIconPositionX(26.000000)
Pylon1.SetIconPositionY(84.000000)
Pylon1.SetIconAboveShip(1)
Pylon1.SetFireSound("DJPhaser")
Pylon1.SetMaxCharge(1.500000)
Pylon1.SetMaxDamage(1500.000000)
Pylon1.SetMaxDamageDistance(100.000000)
Pylon1.SetMinFiringCharge(1.500000)
Pylon1.SetNormalDischargeRate(2.500000)
Pylon1.SetRechargeRate(1.000000)
Pylon1.SetIndicatorIconNum(508)
Pylon1.SetIndicatorIconPositionX(24.000000)
Pylon1.SetIndicatorIconPositionY(84.000000)
Pylon1Forward = App.TGPoint3()
Pylon1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Pylon1Up = App.TGPoint3()
Pylon1Up.SetXYZ(0.000000, 0.000000, 1.000000)
Pylon1.SetOrientation(Pylon1Forward, Pylon1Up)
Pylon1.SetWidth(0.001000)
Pylon1.SetLength(0.001000)
Pylon1.SetArcWidthAngles(-2.356195, -1.396263)
Pylon1.SetArcHeightAngles(-0.785398, 0.174533)
Pylon1.SetPhaserTextureStart(0)
Pylon1.SetPhaserTextureEnd(0)
Pylon1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
Pylon1.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
Pylon1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
Pylon1.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Pylon1.SetInnerCoreColor(kColor)
Pylon1.SetNumSides(6)
Pylon1.SetMainRadius(0.140000)
Pylon1.SetTaperRadius(0.020000)
Pylon1.SetCoreScale(0.300000)
Pylon1.SetTaperRatio(0.250000)
Pylon1.SetTaperMinLength(30.000000)
Pylon1.SetTaperMaxLength(30.000000)
Pylon1.SetLengthTextureTilePerUnit(0.050000)
Pylon1.SetPerimeterTile(1.000000)
Pylon1.SetTextureSpeed(1.000000)
Pylon1.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Pylon1)
#################################################
Pylon2 = App.PhaserProperty_Create("Pylon 2")

Pylon2.SetMaxCondition(2000.000000)
Pylon2.SetCritical(0)
Pylon2.SetTargetable(1)
Pylon2.SetPrimary(1)
Pylon2.SetPosition(2.078000, -2.407000, 0.075000)
Pylon2.SetPosition2D(-7.000000, 32.000000)
Pylon2.SetRepairComplexity(1.000000)
Pylon2.SetDisabledPercentage(0.400000)
Pylon2.SetRadius(0.250000)
Pylon2.SetDumbfire(0)
Pylon2.SetWeaponID(1)
Pylon2.SetGroups(0)
Pylon2.SetDamageRadiusFactor(0.250000)
Pylon2.SetIconNum(362)
Pylon2.SetIconPositionX(114.000000)
Pylon2.SetIconPositionY(83.000000)
Pylon2.SetIconAboveShip(1)
Pylon2.SetFireSound("DJPhaser")
Pylon2.SetMaxCharge(1.500000)
Pylon2.SetMaxDamage(1500.000000)
Pylon2.SetMaxDamageDistance(100.000000)
Pylon2.SetMinFiringCharge(1.500000)
Pylon2.SetNormalDischargeRate(2.500000)
Pylon2.SetRechargeRate(1.000000)
Pylon2.SetIndicatorIconNum(509)
Pylon2.SetIndicatorIconPositionX(113.000000)
Pylon2.SetIndicatorIconPositionY(83.000000)
Pylon2Forward = App.TGPoint3()
Pylon2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Pylon2Up = App.TGPoint3()
Pylon2Up.SetXYZ(0.000000, 0.000000, 1.000000)
Pylon2.SetOrientation(Pylon2Forward, Pylon2Up)
Pylon2.SetWidth(0.001000)
Pylon2.SetLength(0.001000)
Pylon2.SetArcWidthAngles(1.396263, 2.356195)
Pylon2.SetArcHeightAngles(-0.785398, 0.174533)
Pylon2.SetPhaserTextureStart(0)
Pylon2.SetPhaserTextureEnd(0)
Pylon2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
Pylon2.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
Pylon2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
Pylon2.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Pylon2.SetInnerCoreColor(kColor)
Pylon2.SetNumSides(6)
Pylon2.SetMainRadius(0.140000)
Pylon2.SetTaperRadius(0.020000)
Pylon2.SetCoreScale(0.300000)
Pylon2.SetTaperRatio(0.250000)
Pylon2.SetTaperMinLength(30.000000)
Pylon2.SetTaperMaxLength(30.000000)
Pylon2.SetLengthTextureTilePerUnit(0.050000)
Pylon2.SetPerimeterTile(1.000000)
Pylon2.SetTextureSpeed(1.000000)
Pylon2.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Pylon2)
#################################################
DriveSection1 = App.PhaserProperty_Create("Drive Section 1")

DriveSection1.SetMaxCondition(2000.000000)
DriveSection1.SetCritical(0)
DriveSection1.SetTargetable(1)
DriveSection1.SetPrimary(1)
DriveSection1.SetPosition(-0.805000, 0.743000, -0.429000)
DriveSection1.SetPosition2D(-7.000000, 32.000000)
DriveSection1.SetRepairComplexity(1.000000)
DriveSection1.SetDisabledPercentage(0.400000)
DriveSection1.SetRadius(0.250000)
DriveSection1.SetDumbfire(0)
DriveSection1.SetWeaponID(1)
DriveSection1.SetGroups(0)
DriveSection1.SetDamageRadiusFactor(0.250000)
DriveSection1.SetIconNum(361)
DriveSection1.SetIconPositionX(6.000000)
DriveSection1.SetIconPositionY(92.000000)
DriveSection1.SetIconAboveShip(1)
DriveSection1.SetFireSound("DJPhaser")
DriveSection1.SetMaxCharge(1.500000)
DriveSection1.SetMaxDamage(1750.000000)
DriveSection1.SetMaxDamageDistance(100.000000)
DriveSection1.SetMinFiringCharge(1.500000)
DriveSection1.SetNormalDischargeRate(2.500000)
DriveSection1.SetRechargeRate(1.000000)
DriveSection1.SetIndicatorIconNum(508)
DriveSection1.SetIndicatorIconPositionX(4.000000)
DriveSection1.SetIndicatorIconPositionY(92.000000)
DriveSection1Forward = App.TGPoint3()
DriveSection1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
DriveSection1Up = App.TGPoint3()
DriveSection1Up.SetXYZ(0.000000, 0.000000, 1.000000)
DriveSection1.SetOrientation(DriveSection1Forward, DriveSection1Up)
DriveSection1.SetWidth(0.001000)
DriveSection1.SetLength(0.001000)
DriveSection1.SetArcWidthAngles(-2.356195, -0.959931)
DriveSection1.SetArcHeightAngles(-1.047198, 0.174533)
DriveSection1.SetPhaserTextureStart(0)
DriveSection1.SetPhaserTextureEnd(0)
DriveSection1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
DriveSection1.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
DriveSection1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
DriveSection1.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DriveSection1.SetInnerCoreColor(kColor)
DriveSection1.SetNumSides(6)
DriveSection1.SetMainRadius(0.140000)
DriveSection1.SetTaperRadius(0.020000)
DriveSection1.SetCoreScale(0.300000)
DriveSection1.SetTaperRatio(0.250000)
DriveSection1.SetTaperMinLength(30.000000)
DriveSection1.SetTaperMaxLength(30.000000)
DriveSection1.SetLengthTextureTilePerUnit(0.050000)
DriveSection1.SetPerimeterTile(1.000000)
DriveSection1.SetTextureSpeed(1.000000)
DriveSection1.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DriveSection1)
#################################################
DriveSection2 = App.PhaserProperty_Create("Drive Section 2")

DriveSection2.SetMaxCondition(2000.000000)
DriveSection2.SetCritical(0)
DriveSection2.SetTargetable(1)
DriveSection2.SetPrimary(1)
DriveSection2.SetPosition(0.805000, 0.743000, -0.429000)
DriveSection2.SetPosition2D(-7.000000, 32.000000)
DriveSection2.SetRepairComplexity(1.000000)
DriveSection2.SetDisabledPercentage(0.400000)
DriveSection2.SetRadius(0.250000)
DriveSection2.SetDumbfire(0)
DriveSection2.SetWeaponID(1)
DriveSection2.SetGroups(0)
DriveSection2.SetDamageRadiusFactor(0.250000)
DriveSection2.SetIconNum(362)
DriveSection2.SetIconPositionX(135.000000)
DriveSection2.SetIconPositionY(93.000000)
DriveSection2.SetIconAboveShip(1)
DriveSection2.SetFireSound("DJPhaser")
DriveSection2.SetMaxCharge(1.500000)
DriveSection2.SetMaxDamage(1750.000000)
DriveSection2.SetMaxDamageDistance(100.000000)
DriveSection2.SetMinFiringCharge(1.500000)
DriveSection2.SetNormalDischargeRate(2.500000)
DriveSection2.SetRechargeRate(1.000000)
DriveSection2.SetIndicatorIconNum(509)
DriveSection2.SetIndicatorIconPositionX(134.000000)
DriveSection2.SetIndicatorIconPositionY(93.000000)
DriveSection2Forward = App.TGPoint3()
DriveSection2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
DriveSection2Up = App.TGPoint3()
DriveSection2Up.SetXYZ(0.000000, 0.000000, 1.000000)
DriveSection2.SetOrientation(DriveSection2Forward, DriveSection2Up)
DriveSection2.SetWidth(0.001000)
DriveSection2.SetLength(0.001000)
DriveSection2.SetArcWidthAngles(0.959931, 2.356195)
DriveSection2.SetArcHeightAngles(-1.047198, 0.174533)
DriveSection2.SetPhaserTextureStart(0)
DriveSection2.SetPhaserTextureEnd(0)
DriveSection2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
DriveSection2.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
DriveSection2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
DriveSection2.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
DriveSection2.SetInnerCoreColor(kColor)
DriveSection2.SetNumSides(6)
DriveSection2.SetMainRadius(0.140000)
DriveSection2.SetTaperRadius(0.020000)
DriveSection2.SetCoreScale(0.300000)
DriveSection2.SetTaperRatio(0.250000)
DriveSection2.SetTaperMinLength(30.000000)
DriveSection2.SetTaperMaxLength(30.000000)
DriveSection2.SetLengthTextureTilePerUnit(0.050000)
DriveSection2.SetPerimeterTile(1.000000)
DriveSection2.SetTextureSpeed(1.000000)
DriveSection2.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DriveSection2)
#################################################
Belly1 = App.PhaserProperty_Create("Belly 1")

Belly1.SetMaxCondition(2000.000000)
Belly1.SetCritical(0)
Belly1.SetTargetable(1)
Belly1.SetPrimary(1)
Belly1.SetPosition(-0.200000, 2.197000, -0.658000)
Belly1.SetPosition2D(-7.000000, 32.000000)
Belly1.SetRepairComplexity(1.000000)
Belly1.SetDisabledPercentage(0.400000)
Belly1.SetRadius(0.250000)
Belly1.SetDumbfire(0)
Belly1.SetWeaponID(1)
Belly1.SetGroups(0)
Belly1.SetDamageRadiusFactor(0.250000)
Belly1.SetIconNum(363)
Belly1.SetIconPositionX(64.000000)
Belly1.SetIconPositionY(70.000000)
Belly1.SetIconAboveShip(1)
Belly1.SetFireSound("DJPhaser")
Belly1.SetMaxCharge(1.500000)
Belly1.SetMaxDamage(2000.000000)
Belly1.SetMaxDamageDistance(100.000000)
Belly1.SetMinFiringCharge(1.500000)
Belly1.SetNormalDischargeRate(2.500000)
Belly1.SetRechargeRate(1.000000)
Belly1.SetIndicatorIconNum(511)
Belly1.SetIndicatorIconPositionX(59.000000)
Belly1.SetIndicatorIconPositionY(65.000000)
Belly1Forward = App.TGPoint3()
Belly1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Belly1Up = App.TGPoint3()
Belly1Up.SetXYZ(0.000000, 0.000000, 1.000000)
Belly1.SetOrientation(Belly1Forward, Belly1Up)
Belly1.SetWidth(0.001000)
Belly1.SetLength(0.001000)
Belly1.SetArcWidthAngles(-3.316126, 0.174533)
Belly1.SetArcHeightAngles(-1.570796, -0.523599)
Belly1.SetPhaserTextureStart(0)
Belly1.SetPhaserTextureEnd(0)
Belly1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
Belly1.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
Belly1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
Belly1.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Belly1.SetInnerCoreColor(kColor)
Belly1.SetNumSides(6)
Belly1.SetMainRadius(0.140000)
Belly1.SetTaperRadius(0.020000)
Belly1.SetCoreScale(0.300000)
Belly1.SetTaperRatio(0.250000)
Belly1.SetTaperMinLength(30.000000)
Belly1.SetTaperMaxLength(30.000000)
Belly1.SetLengthTextureTilePerUnit(0.050000)
Belly1.SetPerimeterTile(1.000000)
Belly1.SetTextureSpeed(1.000000)
Belly1.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Belly1)
#################################################
Belly2 = App.PhaserProperty_Create("Belly 2")

Belly2.SetMaxCondition(2000.000000)
Belly2.SetCritical(0)
Belly2.SetTargetable(1)
Belly2.SetPrimary(1)
Belly2.SetPosition(0.200000, 2.197000, -0.658000)
Belly2.SetPosition2D(-7.000000, 32.000000)
Belly2.SetRepairComplexity(1.000000)
Belly2.SetDisabledPercentage(0.400000)
Belly2.SetRadius(0.250000)
Belly2.SetDumbfire(0)
Belly2.SetWeaponID(1)
Belly2.SetGroups(0)
Belly2.SetDamageRadiusFactor(0.250000)
Belly2.SetIconNum(363)
Belly2.SetIconPositionX(64.000000)
Belly2.SetIconPositionY(70.000000)
Belly2.SetIconAboveShip(1)
Belly2.SetFireSound("DJPhaser")
Belly2.SetMaxCharge(1.500000)
Belly2.SetMaxDamage(2000.000000)
Belly2.SetMaxDamageDistance(100.000000)
Belly2.SetMinFiringCharge(1.500000)
Belly2.SetNormalDischargeRate(2.500000)
Belly2.SetRechargeRate(1.000000)
Belly2.SetIndicatorIconNum(511)
Belly2.SetIndicatorIconPositionX(59.000000)
Belly2.SetIndicatorIconPositionY(65.000000)
Belly2Forward = App.TGPoint3()
Belly2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Belly2Up = App.TGPoint3()
Belly2Up.SetXYZ(0.000000, 0.000000, 1.000000)
Belly2.SetOrientation(Belly2Forward, Belly2Up)
Belly2.SetWidth(0.001000)
Belly2.SetLength(0.001000)
Belly2.SetArcWidthAngles(-0.174533, 3.316126)
Belly2.SetArcHeightAngles(-1.570796, -0.523599)
Belly2.SetPhaserTextureStart(0)
Belly2.SetPhaserTextureEnd(0)
Belly2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
Belly2.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
Belly2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
Belly2.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Belly2.SetInnerCoreColor(kColor)
Belly2.SetNumSides(6)
Belly2.SetMainRadius(0.140000)
Belly2.SetTaperRadius(0.020000)
Belly2.SetCoreScale(0.300000)
Belly2.SetTaperRatio(0.250000)
Belly2.SetTaperMinLength(30.000000)
Belly2.SetTaperMaxLength(30.000000)
Belly2.SetLengthTextureTilePerUnit(0.050000)
Belly2.SetPerimeterTile(1.000000)
Belly2.SetTextureSpeed(1.000000)
Belly2.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Belly2)
#################################################
AftSaucer1 = App.PhaserProperty_Create("Aft Saucer 1")

AftSaucer1.SetMaxCondition(2000.000000)
AftSaucer1.SetCritical(0)
AftSaucer1.SetTargetable(1)
AftSaucer1.SetPrimary(1)
AftSaucer1.SetPosition(-1.220000, 0.625000, 0.200000)
AftSaucer1.SetPosition2D(0.000000, 0.000000)
AftSaucer1.SetRepairComplexity(1.000000)
AftSaucer1.SetDisabledPercentage(0.400000)
AftSaucer1.SetRadius(0.250000)
AftSaucer1.SetDumbfire(0)
AftSaucer1.SetWeaponID(1)
AftSaucer1.SetGroups(0)
AftSaucer1.SetDamageRadiusFactor(0.250000)
AftSaucer1.SetIconNum(361)
AftSaucer1.SetIconPositionX(15.000000)
AftSaucer1.SetIconPositionY(40.000000)
AftSaucer1.SetIconAboveShip(1)
AftSaucer1.SetFireSound("DJPhaser")
AftSaucer1.SetMaxCharge(1.500000)
AftSaucer1.SetMaxDamage(1750.000000)
AftSaucer1.SetMaxDamageDistance(100.000000)
AftSaucer1.SetMinFiringCharge(1.500000)
AftSaucer1.SetNormalDischargeRate(2.500000)
AftSaucer1.SetRechargeRate(1.000000)
AftSaucer1.SetIndicatorIconNum(508)
AftSaucer1.SetIndicatorIconPositionX(11.000000)
AftSaucer1.SetIndicatorIconPositionY(40.000000)
AftSaucer1Forward = App.TGPoint3()
AftSaucer1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
AftSaucer1Up = App.TGPoint3()
AftSaucer1Up.SetXYZ(0.000000, 0.000000, 1.000000)
AftSaucer1.SetOrientation(AftSaucer1Forward, AftSaucer1Up)
AftSaucer1.SetWidth(0.001000)
AftSaucer1.SetLength(0.001000)
AftSaucer1.SetArcWidthAngles(-2.617994, -1.919862)
AftSaucer1.SetArcHeightAngles(0.436332, 1.570796)
AftSaucer1.SetPhaserTextureStart(0)
AftSaucer1.SetPhaserTextureEnd(0)
AftSaucer1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
AftSaucer1.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
AftSaucer1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
AftSaucer1.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
AftSaucer1.SetInnerCoreColor(kColor)
AftSaucer1.SetNumSides(6)
AftSaucer1.SetMainRadius(0.140000)
AftSaucer1.SetTaperRadius(0.020000)
AftSaucer1.SetCoreScale(0.300000)
AftSaucer1.SetTaperRatio(0.250000)
AftSaucer1.SetTaperMinLength(30.000000)
AftSaucer1.SetTaperMaxLength(30.000000)
AftSaucer1.SetLengthTextureTilePerUnit(0.050000)
AftSaucer1.SetPerimeterTile(1.000000)
AftSaucer1.SetTextureSpeed(1.000000)
AftSaucer1.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftSaucer1)
#################################################
AftSaucer2 = App.PhaserProperty_Create("Aft Saucer 2")

AftSaucer2.SetMaxCondition(2000.000000)
AftSaucer2.SetCritical(0)
AftSaucer2.SetTargetable(1)
AftSaucer2.SetPrimary(1)
AftSaucer2.SetPosition(1.220000, 0.625000, 0.200000)
AftSaucer2.SetPosition2D(0.000000, 0.000000)
AftSaucer2.SetRepairComplexity(1.000000)
AftSaucer2.SetDisabledPercentage(0.400000)
AftSaucer2.SetRadius(0.250000)
AftSaucer2.SetDumbfire(0)
AftSaucer2.SetWeaponID(1)
AftSaucer2.SetGroups(0)
AftSaucer2.SetDamageRadiusFactor(0.250000)
AftSaucer2.SetIconNum(361)
AftSaucer2.SetIconPositionX(15.000000)
AftSaucer2.SetIconPositionY(40.000000)
AftSaucer2.SetIconAboveShip(1)
AftSaucer2.SetFireSound("DJPhaser")
AftSaucer2.SetMaxCharge(1.500000)
AftSaucer2.SetMaxDamage(1750.000000)
AftSaucer2.SetMaxDamageDistance(100.000000)
AftSaucer2.SetMinFiringCharge(1.500000)
AftSaucer2.SetNormalDischargeRate(2.500000)
AftSaucer2.SetRechargeRate(1.000000)
AftSaucer2.SetIndicatorIconNum(508)
AftSaucer2.SetIndicatorIconPositionX(11.000000)
AftSaucer2.SetIndicatorIconPositionY(40.000000)
AftSaucer2Forward = App.TGPoint3()
AftSaucer2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
AftSaucer2Up = App.TGPoint3()
AftSaucer2Up.SetXYZ(0.000000, 0.000000, 1.000000)
AftSaucer2.SetOrientation(AftSaucer2Forward, AftSaucer2Up)
AftSaucer2.SetWidth(0.001000)
AftSaucer2.SetLength(0.001000)
AftSaucer2.SetArcWidthAngles(1.919862, 2.617994)
AftSaucer2.SetArcHeightAngles(0.436332, 1.570796)
AftSaucer2.SetPhaserTextureStart(0)
AftSaucer2.SetPhaserTextureEnd(0)
AftSaucer2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
AftSaucer2.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
AftSaucer2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
AftSaucer2.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
AftSaucer2.SetInnerCoreColor(kColor)
AftSaucer2.SetNumSides(6)
AftSaucer2.SetMainRadius(0.140000)
AftSaucer2.SetTaperRadius(0.020000)
AftSaucer2.SetCoreScale(0.300000)
AftSaucer2.SetTaperRatio(0.250000)
AftSaucer2.SetTaperMinLength(30.000000)
AftSaucer2.SetTaperMaxLength(30.000000)
AftSaucer2.SetLengthTextureTilePerUnit(0.050000)
AftSaucer2.SetPerimeterTile(1.000000)
AftSaucer2.SetTextureSpeed(1.000000)
AftSaucer2.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftSaucer2)
#################################################
SaucerDorsal1 = App.PhaserProperty_Create("Saucer Dorsal 1")

SaucerDorsal1.SetMaxCondition(2000.000000)
SaucerDorsal1.SetCritical(0)
SaucerDorsal1.SetTargetable(1)
SaucerDorsal1.SetPrimary(1)
SaucerDorsal1.SetPosition(-0.851000, 2.800000, 0.130000)
SaucerDorsal1.SetPosition2D(-7.000000, 32.000000)
SaucerDorsal1.SetRepairComplexity(1.000000)
SaucerDorsal1.SetDisabledPercentage(0.400000)
SaucerDorsal1.SetRadius(0.250000)
SaucerDorsal1.SetDumbfire(0)
SaucerDorsal1.SetWeaponID(1)
SaucerDorsal1.SetGroups(0)
SaucerDorsal1.SetDamageRadiusFactor(0.250000)
SaucerDorsal1.SetIconNum(340)
SaucerDorsal1.SetIconPositionX(10.000000)
SaucerDorsal1.SetIconPositionY(33.000000)
SaucerDorsal1.SetIconAboveShip(1)
SaucerDorsal1.SetFireSound("DJPhaser")
SaucerDorsal1.SetMaxCharge(1.500000)
SaucerDorsal1.SetMaxDamage(2700.000000)
SaucerDorsal1.SetMaxDamageDistance(100.000000)
SaucerDorsal1.SetMinFiringCharge(1.500000)
SaucerDorsal1.SetNormalDischargeRate(2.500000)
SaucerDorsal1.SetRechargeRate(1.000000)
SaucerDorsal1.SetIndicatorIconNum(500)
SaucerDorsal1.SetIndicatorIconPositionX(8.000000)
SaucerDorsal1.SetIndicatorIconPositionY(42.000000)
SaucerDorsal1Forward = App.TGPoint3()
SaucerDorsal1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal1Up = App.TGPoint3()
SaucerDorsal1Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal1.SetOrientation(SaucerDorsal1Forward, SaucerDorsal1Up)
SaucerDorsal1.SetWidth(0.001000)
SaucerDorsal1.SetLength(0.001000)
SaucerDorsal1.SetArcWidthAngles(-2.356195, -1.221731)
SaucerDorsal1.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal1.SetPhaserTextureStart(0)
SaucerDorsal1.SetPhaserTextureEnd(0)
SaucerDorsal1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal1.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal1.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal1.SetInnerCoreColor(kColor)
SaucerDorsal1.SetNumSides(6)
SaucerDorsal1.SetMainRadius(0.140000)
SaucerDorsal1.SetTaperRadius(0.020000)
SaucerDorsal1.SetCoreScale(0.300000)
SaucerDorsal1.SetTaperRatio(0.250000)
SaucerDorsal1.SetTaperMinLength(30.000000)
SaucerDorsal1.SetTaperMaxLength(30.000000)
SaucerDorsal1.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal1.SetPerimeterTile(1.000000)
SaucerDorsal1.SetTextureSpeed(1.000000)
SaucerDorsal1.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal1)
#################################################
SaucerDorsal2 = App.PhaserProperty_Create("Saucer Dorsal 2")

SaucerDorsal2.SetMaxCondition(2000.000000)
SaucerDorsal2.SetCritical(0)
SaucerDorsal2.SetTargetable(1)
SaucerDorsal2.SetPrimary(1)
SaucerDorsal2.SetPosition(0.851000, 2.800000, 0.130000)
SaucerDorsal2.SetPosition2D(-7.000000, 32.000000)
SaucerDorsal2.SetRepairComplexity(1.000000)
SaucerDorsal2.SetDisabledPercentage(0.400000)
SaucerDorsal2.SetRadius(0.250000)
SaucerDorsal2.SetDumbfire(0)
SaucerDorsal2.SetWeaponID(1)
SaucerDorsal2.SetGroups(0)
SaucerDorsal2.SetDamageRadiusFactor(0.250000)
SaucerDorsal2.SetIconNum(360)
SaucerDorsal2.SetIconPositionX(119.000000)
SaucerDorsal2.SetIconPositionY(33.000000)
SaucerDorsal2.SetIconAboveShip(1)
SaucerDorsal2.SetFireSound("DJPhaser")
SaucerDorsal2.SetMaxCharge(1.500000)
SaucerDorsal2.SetMaxDamage(2700.000000)
SaucerDorsal2.SetMaxDamageDistance(100.000000)
SaucerDorsal2.SetMinFiringCharge(1.500000)
SaucerDorsal2.SetNormalDischargeRate(2.500000)
SaucerDorsal2.SetRechargeRate(1.000000)
SaucerDorsal2.SetIndicatorIconNum(503)
SaucerDorsal2.SetIndicatorIconPositionX(117.000000)
SaucerDorsal2.SetIndicatorIconPositionY(42.000000)
SaucerDorsal2Forward = App.TGPoint3()
SaucerDorsal2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal2Up = App.TGPoint3()
SaucerDorsal2Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal2.SetOrientation(SaucerDorsal2Forward, SaucerDorsal2Up)
SaucerDorsal2.SetWidth(0.001000)
SaucerDorsal2.SetLength(0.001000)
SaucerDorsal2.SetArcWidthAngles(1.221731, 2.356195)
SaucerDorsal2.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal2.SetPhaserTextureStart(0)
SaucerDorsal2.SetPhaserTextureEnd(0)
SaucerDorsal2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal2.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal2.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal2.SetInnerCoreColor(kColor)
SaucerDorsal2.SetNumSides(6)
SaucerDorsal2.SetMainRadius(0.140000)
SaucerDorsal2.SetTaperRadius(0.020000)
SaucerDorsal2.SetCoreScale(0.300000)
SaucerDorsal2.SetTaperRatio(0.250000)
SaucerDorsal2.SetTaperMinLength(30.000000)
SaucerDorsal2.SetTaperMaxLength(30.000000)
SaucerDorsal2.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal2.SetPerimeterTile(1.000000)
SaucerDorsal2.SetTextureSpeed(1.000000)
SaucerDorsal2.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal2)
#################################################
SaucerDorsal3 = App.PhaserProperty_Create("Saucer Dorsal 3")

SaucerDorsal3.SetMaxCondition(2000.000000)
SaucerDorsal3.SetCritical(0)
SaucerDorsal3.SetTargetable(1)
SaucerDorsal3.SetPrimary(1)
SaucerDorsal3.SetPosition(-0.490000, 3.700000, 0.130000)
SaucerDorsal3.SetPosition2D(-7.000000, 32.000000)
SaucerDorsal3.SetRepairComplexity(1.000000)
SaucerDorsal3.SetDisabledPercentage(0.400000)
SaucerDorsal3.SetRadius(0.250000)
SaucerDorsal3.SetDumbfire(0)
SaucerDorsal3.SetWeaponID(1)
SaucerDorsal3.SetGroups(0)
SaucerDorsal3.SetDamageRadiusFactor(0.250000)
SaucerDorsal3.SetIconNum(330)
SaucerDorsal3.SetIconPositionX(23.000000)
SaucerDorsal3.SetIconPositionY(10.000000)
SaucerDorsal3.SetIconAboveShip(1)
SaucerDorsal3.SetFireSound("DJPhaser")
SaucerDorsal3.SetMaxCharge(1.500000)
SaucerDorsal3.SetMaxDamage(2700.000000)
SaucerDorsal3.SetMaxDamageDistance(100.000000)
SaucerDorsal3.SetMinFiringCharge(1.500000)
SaucerDorsal3.SetNormalDischargeRate(2.500000)
SaucerDorsal3.SetRechargeRate(1.000000)
SaucerDorsal3.SetIndicatorIconNum(505)
SaucerDorsal3.SetIndicatorIconPositionX(29.000000)
SaucerDorsal3.SetIndicatorIconPositionY(8.000000)
SaucerDorsal3Forward = App.TGPoint3()
SaucerDorsal3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal3Up = App.TGPoint3()
SaucerDorsal3Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal3.SetOrientation(SaucerDorsal3Forward, SaucerDorsal3Up)
SaucerDorsal3.SetWidth(0.001000)
SaucerDorsal3.SetLength(0.001000)
SaucerDorsal3.SetArcWidthAngles(-1.221731, 0.087266)
SaucerDorsal3.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal3.SetPhaserTextureStart(0)
SaucerDorsal3.SetPhaserTextureEnd(0)
SaucerDorsal3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal3.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal3.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal3.SetInnerCoreColor(kColor)
SaucerDorsal3.SetNumSides(6)
SaucerDorsal3.SetMainRadius(0.140000)
SaucerDorsal3.SetTaperRadius(0.020000)
SaucerDorsal3.SetCoreScale(0.300000)
SaucerDorsal3.SetTaperRatio(0.250000)
SaucerDorsal3.SetTaperMinLength(30.000000)
SaucerDorsal3.SetTaperMaxLength(30.000000)
SaucerDorsal3.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal3.SetPerimeterTile(1.000000)
SaucerDorsal3.SetTextureSpeed(1.000000)
SaucerDorsal3.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal3)
#################################################
SaucerDorsal4 = App.PhaserProperty_Create("Saucer Dorsal 4")

SaucerDorsal4.SetMaxCondition(2000.000000)
SaucerDorsal4.SetCritical(0)
SaucerDorsal4.SetTargetable(1)
SaucerDorsal4.SetPrimary(1)
SaucerDorsal4.SetPosition(0.490000, 3.700000, 0.130000)
SaucerDorsal4.SetPosition2D(-7.000000, 32.000000)
SaucerDorsal4.SetRepairComplexity(1.000000)
SaucerDorsal4.SetDisabledPercentage(0.400000)
SaucerDorsal4.SetRadius(0.250000)
SaucerDorsal4.SetDumbfire(0)
SaucerDorsal4.SetWeaponID(1)
SaucerDorsal4.SetGroups(0)
SaucerDorsal4.SetDamageRadiusFactor(0.250000)
SaucerDorsal4.SetIconNum(350)
SaucerDorsal4.SetIconPositionX(84.000000)
SaucerDorsal4.SetIconPositionY(11.000000)
SaucerDorsal4.SetIconAboveShip(1)
SaucerDorsal4.SetFireSound("DJPhaser")
SaucerDorsal4.SetMaxCharge(1.500000)
SaucerDorsal4.SetMaxDamage(2700.000000)
SaucerDorsal4.SetMaxDamageDistance(100.000000)
SaucerDorsal4.SetMinFiringCharge(1.500000)
SaucerDorsal4.SetNormalDischargeRate(2.500000)
SaucerDorsal4.SetRechargeRate(1.000000)
SaucerDorsal4.SetIndicatorIconNum(506)
SaucerDorsal4.SetIndicatorIconPositionX(90.000000)
SaucerDorsal4.SetIndicatorIconPositionY(9.000000)
SaucerDorsal4Forward = App.TGPoint3()
SaucerDorsal4Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal4Up = App.TGPoint3()
SaucerDorsal4Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal4.SetOrientation(SaucerDorsal4Forward, SaucerDorsal4Up)
SaucerDorsal4.SetWidth(0.001000)
SaucerDorsal4.SetLength(0.001000)
SaucerDorsal4.SetArcWidthAngles(-0.087266, 1.221731)
SaucerDorsal4.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal4.SetPhaserTextureStart(0)
SaucerDorsal4.SetPhaserTextureEnd(0)
SaucerDorsal4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal4.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal4.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal4.SetInnerCoreColor(kColor)
SaucerDorsal4.SetNumSides(6)
SaucerDorsal4.SetMainRadius(0.140000)
SaucerDorsal4.SetTaperRadius(0.020000)
SaucerDorsal4.SetCoreScale(0.300000)
SaucerDorsal4.SetTaperRatio(0.250000)
SaucerDorsal4.SetTaperMinLength(30.000000)
SaucerDorsal4.SetTaperMaxLength(30.000000)
SaucerDorsal4.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal4.SetPerimeterTile(1.000000)
SaucerDorsal4.SetTextureSpeed(1.000000)
SaucerDorsal4.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal4)
#################################################
SaucerDorsal5 = App.PhaserProperty_Create("Saucer Dorsal 5")

SaucerDorsal5.SetMaxCondition(2000.000000)
SaucerDorsal5.SetCritical(0)
SaucerDorsal5.SetTargetable(1)
SaucerDorsal5.SetPrimary(1)
SaucerDorsal5.SetPosition(-1.410000, 3.200000, 0.175000)
SaucerDorsal5.SetPosition2D(0.000000, 0.000000)
SaucerDorsal5.SetRepairComplexity(1.000000)
SaucerDorsal5.SetDisabledPercentage(0.400000)
SaucerDorsal5.SetRadius(0.250000)
SaucerDorsal5.SetDumbfire(0)
SaucerDorsal5.SetWeaponID(1)
SaucerDorsal5.SetGroups(0)
SaucerDorsal5.SetDamageRadiusFactor(0.250000)
SaucerDorsal5.SetIconNum(361)
SaucerDorsal5.SetIconPositionX(15.000000)
SaucerDorsal5.SetIconPositionY(40.000000)
SaucerDorsal5.SetIconAboveShip(1)
SaucerDorsal5.SetFireSound("DJPhaser")
SaucerDorsal5.SetMaxCharge(1.500000)
SaucerDorsal5.SetMaxDamage(2700.000000)
SaucerDorsal5.SetMaxDamageDistance(100.000000)
SaucerDorsal5.SetMinFiringCharge(1.500000)
SaucerDorsal5.SetNormalDischargeRate(2.500000)
SaucerDorsal5.SetRechargeRate(1.000000)
SaucerDorsal5.SetIndicatorIconNum(508)
SaucerDorsal5.SetIndicatorIconPositionX(11.000000)
SaucerDorsal5.SetIndicatorIconPositionY(40.000000)
SaucerDorsal5Forward = App.TGPoint3()
SaucerDorsal5Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal5Up = App.TGPoint3()
SaucerDorsal5Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal5.SetOrientation(SaucerDorsal5Forward, SaucerDorsal5Up)
SaucerDorsal5.SetWidth(0.001000)
SaucerDorsal5.SetLength(0.001000)
SaucerDorsal5.SetArcWidthAngles(-1.570796, -0.785398)
SaucerDorsal5.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal5.SetPhaserTextureStart(0)
SaucerDorsal5.SetPhaserTextureEnd(0)
SaucerDorsal5.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal5.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal5.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal5.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal5.SetInnerCoreColor(kColor)
SaucerDorsal5.SetNumSides(6)
SaucerDorsal5.SetMainRadius(0.140000)
SaucerDorsal5.SetTaperRadius(0.020000)
SaucerDorsal5.SetCoreScale(0.300000)
SaucerDorsal5.SetTaperRatio(0.250000)
SaucerDorsal5.SetTaperMinLength(30.000000)
SaucerDorsal5.SetTaperMaxLength(30.000000)
SaucerDorsal5.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal5.SetPerimeterTile(1.000000)
SaucerDorsal5.SetTextureSpeed(1.000000)
SaucerDorsal5.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal5)
#################################################
SaucerDorsal6 = App.PhaserProperty_Create("Saucer Dorsal 6")

SaucerDorsal6.SetMaxCondition(2000.000000)
SaucerDorsal6.SetCritical(0)
SaucerDorsal6.SetTargetable(1)
SaucerDorsal6.SetPrimary(1)
SaucerDorsal6.SetPosition(1.410000, 3.200000, 0.175000)
SaucerDorsal6.SetPosition2D(0.000000, 0.000000)
SaucerDorsal6.SetRepairComplexity(1.000000)
SaucerDorsal6.SetDisabledPercentage(0.400000)
SaucerDorsal6.SetRadius(0.250000)
SaucerDorsal6.SetDumbfire(0)
SaucerDorsal6.SetWeaponID(1)
SaucerDorsal6.SetGroups(0)
SaucerDorsal6.SetDamageRadiusFactor(0.250000)
SaucerDorsal6.SetIconNum(361)
SaucerDorsal6.SetIconPositionX(15.000000)
SaucerDorsal6.SetIconPositionY(40.000000)
SaucerDorsal6.SetIconAboveShip(1)
SaucerDorsal6.SetFireSound("DJPhaser")
SaucerDorsal6.SetMaxCharge(1.500000)
SaucerDorsal6.SetMaxDamage(2700.000000)
SaucerDorsal6.SetMaxDamageDistance(100.000000)
SaucerDorsal6.SetMinFiringCharge(1.500000)
SaucerDorsal6.SetNormalDischargeRate(2.500000)
SaucerDorsal6.SetRechargeRate(1.000000)
SaucerDorsal6.SetIndicatorIconNum(508)
SaucerDorsal6.SetIndicatorIconPositionX(11.000000)
SaucerDorsal6.SetIndicatorIconPositionY(40.000000)
SaucerDorsal6Forward = App.TGPoint3()
SaucerDorsal6Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal6Up = App.TGPoint3()
SaucerDorsal6Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal6.SetOrientation(SaucerDorsal6Forward, SaucerDorsal6Up)
SaucerDorsal6.SetWidth(0.001000)
SaucerDorsal6.SetLength(0.001000)
SaucerDorsal6.SetArcWidthAngles(0.785398, 1.570796)
SaucerDorsal6.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal6.SetPhaserTextureStart(0)
SaucerDorsal6.SetPhaserTextureEnd(0)
SaucerDorsal6.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal6.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal6.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal6.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal6.SetInnerCoreColor(kColor)
SaucerDorsal6.SetNumSides(6)
SaucerDorsal6.SetMainRadius(0.140000)
SaucerDorsal6.SetTaperRadius(0.020000)
SaucerDorsal6.SetCoreScale(0.300000)
SaucerDorsal6.SetTaperRatio(0.250000)
SaucerDorsal6.SetTaperMinLength(30.000000)
SaucerDorsal6.SetTaperMaxLength(30.000000)
SaucerDorsal6.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal6.SetPerimeterTile(1.000000)
SaucerDorsal6.SetTextureSpeed(1.000000)
SaucerDorsal6.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal6)
#################################################
SaucerDorsal7 = App.PhaserProperty_Create("Saucer Dorsal 7")

SaucerDorsal7.SetMaxCondition(2000.000000)
SaucerDorsal7.SetCritical(0)
SaucerDorsal7.SetTargetable(1)
SaucerDorsal7.SetPrimary(1)
SaucerDorsal7.SetPosition(-1.080000, 3.840000, 0.160000)
SaucerDorsal7.SetPosition2D(0.000000, 0.000000)
SaucerDorsal7.SetRepairComplexity(1.000000)
SaucerDorsal7.SetDisabledPercentage(0.400000)
SaucerDorsal7.SetRadius(0.250000)
SaucerDorsal7.SetDumbfire(0)
SaucerDorsal7.SetWeaponID(1)
SaucerDorsal7.SetGroups(0)
SaucerDorsal7.SetDamageRadiusFactor(0.250000)
SaucerDorsal7.SetIconNum(361)
SaucerDorsal7.SetIconPositionX(15.000000)
SaucerDorsal7.SetIconPositionY(40.000000)
SaucerDorsal7.SetIconAboveShip(1)
SaucerDorsal7.SetFireSound("DJPhaser")
SaucerDorsal7.SetMaxCharge(1.500000)
SaucerDorsal7.SetMaxDamage(2700.000000)
SaucerDorsal7.SetMaxDamageDistance(100.000000)
SaucerDorsal7.SetMinFiringCharge(1.500000)
SaucerDorsal7.SetNormalDischargeRate(2.500000)
SaucerDorsal7.SetRechargeRate(1.000000)
SaucerDorsal7.SetIndicatorIconNum(508)
SaucerDorsal7.SetIndicatorIconPositionX(11.000000)
SaucerDorsal7.SetIndicatorIconPositionY(40.000000)
SaucerDorsal7Forward = App.TGPoint3()
SaucerDorsal7Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal7Up = App.TGPoint3()
SaucerDorsal7Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal7.SetOrientation(SaucerDorsal7Forward, SaucerDorsal7Up)
SaucerDorsal7.SetWidth(0.001000)
SaucerDorsal7.SetLength(0.001000)
SaucerDorsal7.SetArcWidthAngles(-1.047198, -0.349066)
SaucerDorsal7.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal7.SetPhaserTextureStart(0)
SaucerDorsal7.SetPhaserTextureEnd(0)
SaucerDorsal7.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal7.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal7.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal7.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal7.SetInnerCoreColor(kColor)
SaucerDorsal7.SetNumSides(6)
SaucerDorsal7.SetMainRadius(0.140000)
SaucerDorsal7.SetTaperRadius(0.020000)
SaucerDorsal7.SetCoreScale(0.300000)
SaucerDorsal7.SetTaperRatio(0.250000)
SaucerDorsal7.SetTaperMinLength(30.000000)
SaucerDorsal7.SetTaperMaxLength(30.000000)
SaucerDorsal7.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal7.SetPerimeterTile(1.000000)
SaucerDorsal7.SetTextureSpeed(1.000000)
SaucerDorsal7.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal7)
#################################################
SaucerDorsal8 = App.PhaserProperty_Create("Saucer Dorsal 8")

SaucerDorsal8.SetMaxCondition(2000.000000)
SaucerDorsal8.SetCritical(0)
SaucerDorsal8.SetTargetable(1)
SaucerDorsal8.SetPrimary(1)
SaucerDorsal8.SetPosition(1.080000, 3.840000, 0.160000)
SaucerDorsal8.SetPosition2D(0.000000, 0.000000)
SaucerDorsal8.SetRepairComplexity(1.000000)
SaucerDorsal8.SetDisabledPercentage(0.400000)
SaucerDorsal8.SetRadius(0.250000)
SaucerDorsal8.SetDumbfire(0)
SaucerDorsal8.SetWeaponID(1)
SaucerDorsal8.SetGroups(0)
SaucerDorsal8.SetDamageRadiusFactor(0.250000)
SaucerDorsal8.SetIconNum(361)
SaucerDorsal8.SetIconPositionX(15.000000)
SaucerDorsal8.SetIconPositionY(40.000000)
SaucerDorsal8.SetIconAboveShip(1)
SaucerDorsal8.SetFireSound("DJPhaser")
SaucerDorsal8.SetMaxCharge(1.500000)
SaucerDorsal8.SetMaxDamage(2700.000000)
SaucerDorsal8.SetMaxDamageDistance(100.000000)
SaucerDorsal8.SetMinFiringCharge(1.500000)
SaucerDorsal8.SetNormalDischargeRate(2.500000)
SaucerDorsal8.SetRechargeRate(1.000000)
SaucerDorsal8.SetIndicatorIconNum(508)
SaucerDorsal8.SetIndicatorIconPositionX(11.000000)
SaucerDorsal8.SetIndicatorIconPositionY(40.000000)
SaucerDorsal8Forward = App.TGPoint3()
SaucerDorsal8Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal8Up = App.TGPoint3()
SaucerDorsal8Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal8.SetOrientation(SaucerDorsal8Forward, SaucerDorsal8Up)
SaucerDorsal8.SetWidth(0.001000)
SaucerDorsal8.SetLength(0.001000)
SaucerDorsal8.SetArcWidthAngles(0.349066, 1.047198)
SaucerDorsal8.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal8.SetPhaserTextureStart(0)
SaucerDorsal8.SetPhaserTextureEnd(0)
SaucerDorsal8.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal8.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal8.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal8.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal8.SetInnerCoreColor(kColor)
SaucerDorsal8.SetNumSides(6)
SaucerDorsal8.SetMainRadius(0.140000)
SaucerDorsal8.SetTaperRadius(0.020000)
SaucerDorsal8.SetCoreScale(0.300000)
SaucerDorsal8.SetTaperRatio(0.250000)
SaucerDorsal8.SetTaperMinLength(30.000000)
SaucerDorsal8.SetTaperMaxLength(30.000000)
SaucerDorsal8.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal8.SetPerimeterTile(1.000000)
SaucerDorsal8.SetTextureSpeed(1.000000)
SaucerDorsal8.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal8)
#################################################
SaucerDorsal9 = App.PhaserProperty_Create("Saucer Dorsal 9")

SaucerDorsal9.SetMaxCondition(2000.000000)
SaucerDorsal9.SetCritical(0)
SaucerDorsal9.SetTargetable(1)
SaucerDorsal9.SetPrimary(1)
SaucerDorsal9.SetPosition(-0.510000, 4.515000, 0.200000)
SaucerDorsal9.SetPosition2D(0.000000, 0.000000)
SaucerDorsal9.SetRepairComplexity(1.000000)
SaucerDorsal9.SetDisabledPercentage(0.400000)
SaucerDorsal9.SetRadius(0.250000)
SaucerDorsal9.SetDumbfire(0)
SaucerDorsal9.SetWeaponID(1)
SaucerDorsal9.SetGroups(0)
SaucerDorsal9.SetDamageRadiusFactor(0.250000)
SaucerDorsal9.SetIconNum(361)
SaucerDorsal9.SetIconPositionX(15.000000)
SaucerDorsal9.SetIconPositionY(40.000000)
SaucerDorsal9.SetIconAboveShip(1)
SaucerDorsal9.SetFireSound("DJPhaser")
SaucerDorsal9.SetMaxCharge(1.500000)
SaucerDorsal9.SetMaxDamage(2700.000000)
SaucerDorsal9.SetMaxDamageDistance(100.000000)
SaucerDorsal9.SetMinFiringCharge(1.500000)
SaucerDorsal9.SetNormalDischargeRate(2.500000)
SaucerDorsal9.SetRechargeRate(1.000000)
SaucerDorsal9.SetIndicatorIconNum(508)
SaucerDorsal9.SetIndicatorIconPositionX(11.000000)
SaucerDorsal9.SetIndicatorIconPositionY(40.000000)
SaucerDorsal9Forward = App.TGPoint3()
SaucerDorsal9Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal9Up = App.TGPoint3()
SaucerDorsal9Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal9.SetOrientation(SaucerDorsal9Forward, SaucerDorsal9Up)
SaucerDorsal9.SetWidth(0.001000)
SaucerDorsal9.SetLength(0.001000)
SaucerDorsal9.SetArcWidthAngles(-0.785398, 0.087266)
SaucerDorsal9.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal9.SetPhaserTextureStart(0)
SaucerDorsal9.SetPhaserTextureEnd(0)
SaucerDorsal9.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal9.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal9.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal9.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal9.SetInnerCoreColor(kColor)
SaucerDorsal9.SetNumSides(6)
SaucerDorsal9.SetMainRadius(0.140000)
SaucerDorsal9.SetTaperRadius(0.020000)
SaucerDorsal9.SetCoreScale(0.300000)
SaucerDorsal9.SetTaperRatio(0.250000)
SaucerDorsal9.SetTaperMinLength(30.000000)
SaucerDorsal9.SetTaperMaxLength(30.000000)
SaucerDorsal9.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal9.SetPerimeterTile(1.000000)
SaucerDorsal9.SetTextureSpeed(1.000000)
SaucerDorsal9.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal9)
#################################################
SaucerDorsal10 = App.PhaserProperty_Create("Saucer Dorsal 10")

SaucerDorsal10.SetMaxCondition(2000.000000)
SaucerDorsal10.SetCritical(0)
SaucerDorsal10.SetTargetable(1)
SaucerDorsal10.SetPrimary(1)
SaucerDorsal10.SetPosition(0.510000, 4.515000, 0.200000)
SaucerDorsal10.SetPosition2D(0.000000, 0.000000)
SaucerDorsal10.SetRepairComplexity(1.000000)
SaucerDorsal10.SetDisabledPercentage(0.400000)
SaucerDorsal10.SetRadius(0.250000)
SaucerDorsal10.SetDumbfire(0)
SaucerDorsal10.SetWeaponID(1)
SaucerDorsal10.SetGroups(0)
SaucerDorsal10.SetDamageRadiusFactor(0.250000)
SaucerDorsal10.SetIconNum(361)
SaucerDorsal10.SetIconPositionX(15.000000)
SaucerDorsal10.SetIconPositionY(40.000000)
SaucerDorsal10.SetIconAboveShip(1)
SaucerDorsal10.SetFireSound("DJPhaser")
SaucerDorsal10.SetMaxCharge(1.500000)
SaucerDorsal10.SetMaxDamage(2700.000000)
SaucerDorsal10.SetMaxDamageDistance(100.000000)
SaucerDorsal10.SetMinFiringCharge(1.500000)
SaucerDorsal10.SetNormalDischargeRate(2.500000)
SaucerDorsal10.SetRechargeRate(1.000000)
SaucerDorsal10.SetIndicatorIconNum(508)
SaucerDorsal10.SetIndicatorIconPositionX(11.000000)
SaucerDorsal10.SetIndicatorIconPositionY(40.000000)
SaucerDorsal10Forward = App.TGPoint3()
SaucerDorsal10Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal10Up = App.TGPoint3()
SaucerDorsal10Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal10.SetOrientation(SaucerDorsal10Forward, SaucerDorsal10Up)
SaucerDorsal10.SetWidth(0.001000)
SaucerDorsal10.SetLength(0.001000)
SaucerDorsal10.SetArcWidthAngles(-0.087266, 0.785398)
SaucerDorsal10.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal10.SetPhaserTextureStart(0)
SaucerDorsal10.SetPhaserTextureEnd(0)
SaucerDorsal10.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal10.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal10.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal10.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal10.SetInnerCoreColor(kColor)
SaucerDorsal10.SetNumSides(6)
SaucerDorsal10.SetMainRadius(0.140000)
SaucerDorsal10.SetTaperRadius(0.020000)
SaucerDorsal10.SetCoreScale(0.300000)
SaucerDorsal10.SetTaperRatio(0.250000)
SaucerDorsal10.SetTaperMinLength(30.000000)
SaucerDorsal10.SetTaperMaxLength(30.000000)
SaucerDorsal10.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal10.SetPerimeterTile(1.000000)
SaucerDorsal10.SetTextureSpeed(1.000000)
SaucerDorsal10.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal10)
#################################################
SaucerDorsal11 = App.PhaserProperty_Create("Saucer Dorsal 11")

SaucerDorsal11.SetMaxCondition(2000.000000)
SaucerDorsal11.SetCritical(0)
SaucerDorsal11.SetTargetable(1)
SaucerDorsal11.SetPrimary(1)
SaucerDorsal11.SetPosition(0.000000, 4.757000, 0.195000)
SaucerDorsal11.SetPosition2D(0.000000, 0.000000)
SaucerDorsal11.SetRepairComplexity(1.000000)
SaucerDorsal11.SetDisabledPercentage(0.400000)
SaucerDorsal11.SetRadius(0.250000)
SaucerDorsal11.SetDumbfire(0)
SaucerDorsal11.SetWeaponID(1)
SaucerDorsal11.SetGroups(0)
SaucerDorsal11.SetDamageRadiusFactor(0.250000)
SaucerDorsal11.SetIconNum(361)
SaucerDorsal11.SetIconPositionX(15.000000)
SaucerDorsal11.SetIconPositionY(40.000000)
SaucerDorsal11.SetIconAboveShip(1)
SaucerDorsal11.SetFireSound("DJPhaser")
SaucerDorsal11.SetMaxCharge(1.500000)
SaucerDorsal11.SetMaxDamage(2700.000000)
SaucerDorsal11.SetMaxDamageDistance(100.000000)
SaucerDorsal11.SetMinFiringCharge(1.500000)
SaucerDorsal11.SetNormalDischargeRate(2.500000)
SaucerDorsal11.SetRechargeRate(1.000000)
SaucerDorsal11.SetIndicatorIconNum(508)
SaucerDorsal11.SetIndicatorIconPositionX(11.000000)
SaucerDorsal11.SetIndicatorIconPositionY(40.000000)
SaucerDorsal11Forward = App.TGPoint3()
SaucerDorsal11Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerDorsal11Up = App.TGPoint3()
SaucerDorsal11Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerDorsal11.SetOrientation(SaucerDorsal11Forward, SaucerDorsal11Up)
SaucerDorsal11.SetWidth(0.001000)
SaucerDorsal11.SetLength(0.001000)
SaucerDorsal11.SetArcWidthAngles(-0.523599, 0.523599)
SaucerDorsal11.SetArcHeightAngles(-0.087266, 1.570796)
SaucerDorsal11.SetPhaserTextureStart(0)
SaucerDorsal11.SetPhaserTextureEnd(0)
SaucerDorsal11.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerDorsal11.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerDorsal11.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerDorsal11.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerDorsal11.SetInnerCoreColor(kColor)
SaucerDorsal11.SetNumSides(6)
SaucerDorsal11.SetMainRadius(0.140000)
SaucerDorsal11.SetTaperRadius(0.020000)
SaucerDorsal11.SetCoreScale(0.300000)
SaucerDorsal11.SetTaperRatio(0.250000)
SaucerDorsal11.SetTaperMinLength(30.000000)
SaucerDorsal11.SetTaperMaxLength(30.000000)
SaucerDorsal11.SetLengthTextureTilePerUnit(0.050000)
SaucerDorsal11.SetPerimeterTile(1.000000)
SaucerDorsal11.SetTextureSpeed(1.000000)
SaucerDorsal11.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerDorsal11)
#################################################
SaucerVentral1 = App.PhaserProperty_Create("Saucer Ventral 1")

SaucerVentral1.SetMaxCondition(2000.000000)
SaucerVentral1.SetCritical(0)
SaucerVentral1.SetTargetable(1)
SaucerVentral1.SetPrimary(1)
SaucerVentral1.SetPosition(-0.840000, 3.350000, -0.265000)
SaucerVentral1.SetPosition2D(-7.000000, 32.000000)
SaucerVentral1.SetRepairComplexity(1.000000)
SaucerVentral1.SetDisabledPercentage(0.400000)
SaucerVentral1.SetRadius(0.250000)
SaucerVentral1.SetDumbfire(0)
SaucerVentral1.SetWeaponID(1)
SaucerVentral1.SetGroups(0)
SaucerVentral1.SetDamageRadiusFactor(0.250000)
SaucerVentral1.SetIconNum(340)
SaucerVentral1.SetIconPositionX(16.000000)
SaucerVentral1.SetIconPositionY(44.000000)
SaucerVentral1.SetIconAboveShip(1)
SaucerVentral1.SetFireSound("DJPhaser")
SaucerVentral1.SetMaxCharge(1.500000)
SaucerVentral1.SetMaxDamage(2700.000000)
SaucerVentral1.SetMaxDamageDistance(100.000000)
SaucerVentral1.SetMinFiringCharge(1.500000)
SaucerVentral1.SetNormalDischargeRate(2.500000)
SaucerVentral1.SetRechargeRate(1.000000)
SaucerVentral1.SetIndicatorIconNum(500)
SaucerVentral1.SetIndicatorIconPositionX(14.000000)
SaucerVentral1.SetIndicatorIconPositionY(53.000000)
SaucerVentral1Forward = App.TGPoint3()
SaucerVentral1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral1Up = App.TGPoint3()
SaucerVentral1Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral1.SetOrientation(SaucerVentral1Forward, SaucerVentral1Up)
SaucerVentral1.SetWidth(0.001000)
SaucerVentral1.SetLength(0.001000)
SaucerVentral1.SetArcWidthAngles(-2.356195, -1.221731)
SaucerVentral1.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral1.SetPhaserTextureStart(0)
SaucerVentral1.SetPhaserTextureEnd(0)
SaucerVentral1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral1.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral1.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral1.SetInnerCoreColor(kColor)
SaucerVentral1.SetNumSides(6)
SaucerVentral1.SetMainRadius(0.140000)
SaucerVentral1.SetTaperRadius(0.020000)
SaucerVentral1.SetCoreScale(0.300000)
SaucerVentral1.SetTaperRatio(0.250000)
SaucerVentral1.SetTaperMinLength(30.000000)
SaucerVentral1.SetTaperMaxLength(30.000000)
SaucerVentral1.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral1.SetPerimeterTile(1.000000)
SaucerVentral1.SetTextureSpeed(1.000000)
SaucerVentral1.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral1)
#################################################
SaucerVentral2 = App.PhaserProperty_Create("Saucer Ventral 2")

SaucerVentral2.SetMaxCondition(2000.000000)
SaucerVentral2.SetCritical(0)
SaucerVentral2.SetTargetable(1)
SaucerVentral2.SetPrimary(1)
SaucerVentral2.SetPosition(0.840000, 3.350000, -0.265000)
SaucerVentral2.SetPosition2D(-7.000000, 32.000000)
SaucerVentral2.SetRepairComplexity(1.000000)
SaucerVentral2.SetDisabledPercentage(0.400000)
SaucerVentral2.SetRadius(0.250000)
SaucerVentral2.SetDumbfire(0)
SaucerVentral2.SetWeaponID(1)
SaucerVentral2.SetGroups(0)
SaucerVentral2.SetDamageRadiusFactor(0.250000)
SaucerVentral2.SetIconNum(360)
SaucerVentral2.SetIconPositionX(114.000000)
SaucerVentral2.SetIconPositionY(44.000000)
SaucerVentral2.SetIconAboveShip(1)
SaucerVentral2.SetFireSound("DJPhaser")
SaucerVentral2.SetMaxCharge(1.500000)
SaucerVentral2.SetMaxDamage(2700.000000)
SaucerVentral2.SetMaxDamageDistance(100.000000)
SaucerVentral2.SetMinFiringCharge(1.500000)
SaucerVentral2.SetNormalDischargeRate(2.500000)
SaucerVentral2.SetRechargeRate(1.000000)
SaucerVentral2.SetIndicatorIconNum(503)
SaucerVentral2.SetIndicatorIconPositionX(112.000000)
SaucerVentral2.SetIndicatorIconPositionY(53.000000)
SaucerVentral2Forward = App.TGPoint3()
SaucerVentral2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral2Up = App.TGPoint3()
SaucerVentral2Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral2.SetOrientation(SaucerVentral2Forward, SaucerVentral2Up)
SaucerVentral2.SetWidth(0.001000)
SaucerVentral2.SetLength(0.001000)
SaucerVentral2.SetArcWidthAngles(1.221731, 2.356195)
SaucerVentral2.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral2.SetPhaserTextureStart(0)
SaucerVentral2.SetPhaserTextureEnd(0)
SaucerVentral2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral2.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral2.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral2.SetInnerCoreColor(kColor)
SaucerVentral2.SetNumSides(6)
SaucerVentral2.SetMainRadius(0.140000)
SaucerVentral2.SetTaperRadius(0.020000)
SaucerVentral2.SetCoreScale(0.300000)
SaucerVentral2.SetTaperRatio(0.250000)
SaucerVentral2.SetTaperMinLength(30.000000)
SaucerVentral2.SetTaperMaxLength(30.000000)
SaucerVentral2.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral2.SetPerimeterTile(1.000000)
SaucerVentral2.SetTextureSpeed(1.000000)
SaucerVentral2.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral2)
#################################################
SaucerVentral3 = App.PhaserProperty_Create("Saucer Ventral 3")

SaucerVentral3.SetMaxCondition(2000.000000)
SaucerVentral3.SetCritical(0)
SaucerVentral3.SetTargetable(1)
SaucerVentral3.SetPrimary(1)
SaucerVentral3.SetPosition(-0.560000, 3.850000, -0.265000)
SaucerVentral3.SetPosition2D(-7.000000, 32.000000)
SaucerVentral3.SetRepairComplexity(1.000000)
SaucerVentral3.SetDisabledPercentage(0.400000)
SaucerVentral3.SetRadius(0.250000)
SaucerVentral3.SetDumbfire(0)
SaucerVentral3.SetWeaponID(1)
SaucerVentral3.SetGroups(0)
SaucerVentral3.SetDamageRadiusFactor(0.250000)
SaucerVentral3.SetIconNum(330)
SaucerVentral3.SetIconPositionX(26.000000)
SaucerVentral3.SetIconPositionY(23.000000)
SaucerVentral3.SetIconAboveShip(1)
SaucerVentral3.SetFireSound("DJPhaser")
SaucerVentral3.SetMaxCharge(1.500000)
SaucerVentral3.SetMaxDamage(2700.000000)
SaucerVentral3.SetMaxDamageDistance(100.000000)
SaucerVentral3.SetMinFiringCharge(1.500000)
SaucerVentral3.SetNormalDischargeRate(2.500000)
SaucerVentral3.SetRechargeRate(1.000000)
SaucerVentral3.SetIndicatorIconNum(505)
SaucerVentral3.SetIndicatorIconPositionX(32.000000)
SaucerVentral3.SetIndicatorIconPositionY(21.000000)
SaucerVentral3Forward = App.TGPoint3()
SaucerVentral3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral3Up = App.TGPoint3()
SaucerVentral3Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral3.SetOrientation(SaucerVentral3Forward, SaucerVentral3Up)
SaucerVentral3.SetWidth(0.001000)
SaucerVentral3.SetLength(0.001000)
SaucerVentral3.SetArcWidthAngles(-1.221731, 0.087266)
SaucerVentral3.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral3.SetPhaserTextureStart(0)
SaucerVentral3.SetPhaserTextureEnd(0)
SaucerVentral3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral3.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral3.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral3.SetInnerCoreColor(kColor)
SaucerVentral3.SetNumSides(6)
SaucerVentral3.SetMainRadius(0.140000)
SaucerVentral3.SetTaperRadius(0.020000)
SaucerVentral3.SetCoreScale(0.300000)
SaucerVentral3.SetTaperRatio(0.250000)
SaucerVentral3.SetTaperMinLength(30.000000)
SaucerVentral3.SetTaperMaxLength(30.000000)
SaucerVentral3.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral3.SetPerimeterTile(1.000000)
SaucerVentral3.SetTextureSpeed(1.000000)
SaucerVentral3.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral3)
#################################################
SaucerVentral4 = App.PhaserProperty_Create("Saucer Ventral 4")

SaucerVentral4.SetMaxCondition(2000.000000)
SaucerVentral4.SetCritical(0)
SaucerVentral4.SetTargetable(1)
SaucerVentral4.SetPrimary(1)
SaucerVentral4.SetPosition(0.560000, 3.850000, -0.265000)
SaucerVentral4.SetPosition2D(-7.000000, 32.000000)
SaucerVentral4.SetRepairComplexity(1.000000)
SaucerVentral4.SetDisabledPercentage(0.400000)
SaucerVentral4.SetRadius(0.250000)
SaucerVentral4.SetDumbfire(0)
SaucerVentral4.SetWeaponID(1)
SaucerVentral4.SetGroups(0)
SaucerVentral4.SetDamageRadiusFactor(0.250000)
SaucerVentral4.SetIconNum(350)
SaucerVentral4.SetIconPositionX(81.000000)
SaucerVentral4.SetIconPositionY(24.000000)
SaucerVentral4.SetIconAboveShip(1)
SaucerVentral4.SetFireSound("DJPhaser")
SaucerVentral4.SetMaxCharge(1.500000)
SaucerVentral4.SetMaxDamage(2700.000000)
SaucerVentral4.SetMaxDamageDistance(100.000000)
SaucerVentral4.SetMinFiringCharge(1.500000)
SaucerVentral4.SetNormalDischargeRate(2.500000)
SaucerVentral4.SetRechargeRate(1.000000)
SaucerVentral4.SetIndicatorIconNum(506)
SaucerVentral4.SetIndicatorIconPositionX(87.000000)
SaucerVentral4.SetIndicatorIconPositionY(22.000000)
SaucerVentral4Forward = App.TGPoint3()
SaucerVentral4Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral4Up = App.TGPoint3()
SaucerVentral4Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral4.SetOrientation(SaucerVentral4Forward, SaucerVentral4Up)
SaucerVentral4.SetWidth(0.001000)
SaucerVentral4.SetLength(0.001000)
SaucerVentral4.SetArcWidthAngles(-0.087266, 1.221731)
SaucerVentral4.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral4.SetPhaserTextureStart(0)
SaucerVentral4.SetPhaserTextureEnd(0)
SaucerVentral4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral4.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral4.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral4.SetInnerCoreColor(kColor)
SaucerVentral4.SetNumSides(6)
SaucerVentral4.SetMainRadius(0.140000)
SaucerVentral4.SetTaperRadius(0.020000)
SaucerVentral4.SetCoreScale(0.300000)
SaucerVentral4.SetTaperRatio(0.250000)
SaucerVentral4.SetTaperMinLength(30.000000)
SaucerVentral4.SetTaperMaxLength(30.000000)
SaucerVentral4.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral4.SetPerimeterTile(1.000000)
SaucerVentral4.SetTextureSpeed(1.000000)
SaucerVentral4.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral4)
#################################################
SaucerVentral5 = App.PhaserProperty_Create("Saucer Ventral 5")

SaucerVentral5.SetMaxCondition(2000.000000)
SaucerVentral5.SetCritical(0)
SaucerVentral5.SetTargetable(1)
SaucerVentral5.SetPrimary(1)
SaucerVentral5.SetPosition(-1.676000, 2.500000, -0.180000)
SaucerVentral5.SetPosition2D(0.000000, 0.000000)
SaucerVentral5.SetRepairComplexity(1.000000)
SaucerVentral5.SetDisabledPercentage(0.400000)
SaucerVentral5.SetRadius(0.250000)
SaucerVentral5.SetDumbfire(0)
SaucerVentral5.SetWeaponID(1)
SaucerVentral5.SetGroups(0)
SaucerVentral5.SetDamageRadiusFactor(0.250000)
SaucerVentral5.SetIconNum(361)
SaucerVentral5.SetIconPositionX(15.000000)
SaucerVentral5.SetIconPositionY(40.000000)
SaucerVentral5.SetIconAboveShip(1)
SaucerVentral5.SetFireSound("DJPhaser")
SaucerVentral5.SetMaxCharge(1.500000)
SaucerVentral5.SetMaxDamage(2700.000000)
SaucerVentral5.SetMaxDamageDistance(100.000000)
SaucerVentral5.SetMinFiringCharge(1.500000)
SaucerVentral5.SetNormalDischargeRate(2.500000)
SaucerVentral5.SetRechargeRate(1.000000)
SaucerVentral5.SetIndicatorIconNum(508)
SaucerVentral5.SetIndicatorIconPositionX(11.000000)
SaucerVentral5.SetIndicatorIconPositionY(40.000000)
SaucerVentral5Forward = App.TGPoint3()
SaucerVentral5Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral5Up = App.TGPoint3()
SaucerVentral5Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral5.SetOrientation(SaucerVentral5Forward, SaucerVentral5Up)
SaucerVentral5.SetWidth(0.001000)
SaucerVentral5.SetLength(0.001000)
SaucerVentral5.SetArcWidthAngles(-2.356195, -0.959931)
SaucerVentral5.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral5.SetPhaserTextureStart(0)
SaucerVentral5.SetPhaserTextureEnd(0)
SaucerVentral5.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral5.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral5.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral5.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral5.SetInnerCoreColor(kColor)
SaucerVentral5.SetNumSides(6)
SaucerVentral5.SetMainRadius(0.140000)
SaucerVentral5.SetTaperRadius(0.020000)
SaucerVentral5.SetCoreScale(0.300000)
SaucerVentral5.SetTaperRatio(0.250000)
SaucerVentral5.SetTaperMinLength(30.000000)
SaucerVentral5.SetTaperMaxLength(30.000000)
SaucerVentral5.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral5.SetPerimeterTile(1.000000)
SaucerVentral5.SetTextureSpeed(1.000000)
SaucerVentral5.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral5)
#################################################
SaucerVentral6 = App.PhaserProperty_Create("Saucer Ventral 6")

SaucerVentral6.SetMaxCondition(2000.000000)
SaucerVentral6.SetCritical(0)
SaucerVentral6.SetTargetable(1)
SaucerVentral6.SetPrimary(1)
SaucerVentral6.SetPosition(1.676000, 2.500000, -0.180000)
SaucerVentral6.SetPosition2D(0.000000, 0.000000)
SaucerVentral6.SetRepairComplexity(1.000000)
SaucerVentral6.SetDisabledPercentage(0.400000)
SaucerVentral6.SetRadius(0.250000)
SaucerVentral6.SetDumbfire(0)
SaucerVentral6.SetWeaponID(1)
SaucerVentral6.SetGroups(0)
SaucerVentral6.SetDamageRadiusFactor(0.250000)
SaucerVentral6.SetIconNum(361)
SaucerVentral6.SetIconPositionX(15.000000)
SaucerVentral6.SetIconPositionY(40.000000)
SaucerVentral6.SetIconAboveShip(1)
SaucerVentral6.SetFireSound("DJPhaser")
SaucerVentral6.SetMaxCharge(1.500000)
SaucerVentral6.SetMaxDamage(2700.000000)
SaucerVentral6.SetMaxDamageDistance(100.000000)
SaucerVentral6.SetMinFiringCharge(1.500000)
SaucerVentral6.SetNormalDischargeRate(2.500000)
SaucerVentral6.SetRechargeRate(1.000000)
SaucerVentral6.SetIndicatorIconNum(508)
SaucerVentral6.SetIndicatorIconPositionX(11.000000)
SaucerVentral6.SetIndicatorIconPositionY(40.000000)
SaucerVentral6Forward = App.TGPoint3()
SaucerVentral6Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral6Up = App.TGPoint3()
SaucerVentral6Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral6.SetOrientation(SaucerVentral6Forward, SaucerVentral6Up)
SaucerVentral6.SetWidth(0.001000)
SaucerVentral6.SetLength(0.001000)
SaucerVentral6.SetArcWidthAngles(0.959931, 2.356195)
SaucerVentral6.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral6.SetPhaserTextureStart(0)
SaucerVentral6.SetPhaserTextureEnd(0)
SaucerVentral6.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral6.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral6.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral6.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral6.SetInnerCoreColor(kColor)
SaucerVentral6.SetNumSides(6)
SaucerVentral6.SetMainRadius(0.140000)
SaucerVentral6.SetTaperRadius(0.020000)
SaucerVentral6.SetCoreScale(0.300000)
SaucerVentral6.SetTaperRatio(0.250000)
SaucerVentral6.SetTaperMinLength(30.000000)
SaucerVentral6.SetTaperMaxLength(30.000000)
SaucerVentral6.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral6.SetPerimeterTile(1.000000)
SaucerVentral6.SetTextureSpeed(1.000000)
SaucerVentral6.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral6)
#################################################
SaucerVentral7 = App.PhaserProperty_Create("Saucer Ventral 7")

SaucerVentral7.SetMaxCondition(2000.000000)
SaucerVentral7.SetCritical(0)
SaucerVentral7.SetTargetable(1)
SaucerVentral7.SetPrimary(1)
SaucerVentral7.SetPosition(-1.100000, 3.800000, -0.180000)
SaucerVentral7.SetPosition2D(0.000000, 0.000000)
SaucerVentral7.SetRepairComplexity(1.000000)
SaucerVentral7.SetDisabledPercentage(0.400000)
SaucerVentral7.SetRadius(0.250000)
SaucerVentral7.SetDumbfire(0)
SaucerVentral7.SetWeaponID(1)
SaucerVentral7.SetGroups(0)
SaucerVentral7.SetDamageRadiusFactor(0.250000)
SaucerVentral7.SetIconNum(361)
SaucerVentral7.SetIconPositionX(15.000000)
SaucerVentral7.SetIconPositionY(40.000000)
SaucerVentral7.SetIconAboveShip(1)
SaucerVentral7.SetFireSound("DJPhaser")
SaucerVentral7.SetMaxCharge(1.500000)
SaucerVentral7.SetMaxDamage(2700.000000)
SaucerVentral7.SetMaxDamageDistance(100.000000)
SaucerVentral7.SetMinFiringCharge(1.500000)
SaucerVentral7.SetNormalDischargeRate(2.500000)
SaucerVentral7.SetRechargeRate(1.000000)
SaucerVentral7.SetIndicatorIconNum(508)
SaucerVentral7.SetIndicatorIconPositionX(11.000000)
SaucerVentral7.SetIndicatorIconPositionY(40.000000)
SaucerVentral7Forward = App.TGPoint3()
SaucerVentral7Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral7Up = App.TGPoint3()
SaucerVentral7Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral7.SetOrientation(SaucerVentral7Forward, SaucerVentral7Up)
SaucerVentral7.SetWidth(0.001000)
SaucerVentral7.SetLength(0.001000)
SaucerVentral7.SetArcWidthAngles(-1.570796, -0.610865)
SaucerVentral7.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral7.SetPhaserTextureStart(0)
SaucerVentral7.SetPhaserTextureEnd(0)
SaucerVentral7.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral7.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral7.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral7.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral7.SetInnerCoreColor(kColor)
SaucerVentral7.SetNumSides(6)
SaucerVentral7.SetMainRadius(0.140000)
SaucerVentral7.SetTaperRadius(0.020000)
SaucerVentral7.SetCoreScale(0.300000)
SaucerVentral7.SetTaperRatio(0.250000)
SaucerVentral7.SetTaperMinLength(30.000000)
SaucerVentral7.SetTaperMaxLength(30.000000)
SaucerVentral7.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral7.SetPerimeterTile(1.000000)
SaucerVentral7.SetTextureSpeed(1.000000)
SaucerVentral7.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral7)
#################################################
SaucerVentral8 = App.PhaserProperty_Create("Saucer Ventral 8")

SaucerVentral8.SetMaxCondition(2000.000000)
SaucerVentral8.SetCritical(0)
SaucerVentral8.SetTargetable(1)
SaucerVentral8.SetPrimary(1)
SaucerVentral8.SetPosition(1.100000, 3.800000, -0.180000)
SaucerVentral8.SetPosition2D(0.000000, 0.000000)
SaucerVentral8.SetRepairComplexity(1.000000)
SaucerVentral8.SetDisabledPercentage(0.400000)
SaucerVentral8.SetRadius(0.250000)
SaucerVentral8.SetDumbfire(0)
SaucerVentral8.SetWeaponID(1)
SaucerVentral8.SetGroups(0)
SaucerVentral8.SetDamageRadiusFactor(0.250000)
SaucerVentral8.SetIconNum(361)
SaucerVentral8.SetIconPositionX(15.000000)
SaucerVentral8.SetIconPositionY(40.000000)
SaucerVentral8.SetIconAboveShip(1)
SaucerVentral8.SetFireSound("DJPhaser")
SaucerVentral8.SetMaxCharge(1.500000)
SaucerVentral8.SetMaxDamage(2700.000000)
SaucerVentral8.SetMaxDamageDistance(100.000000)
SaucerVentral8.SetMinFiringCharge(1.500000)
SaucerVentral8.SetNormalDischargeRate(2.500000)
SaucerVentral8.SetRechargeRate(1.000000)
SaucerVentral8.SetIndicatorIconNum(508)
SaucerVentral8.SetIndicatorIconPositionX(11.000000)
SaucerVentral8.SetIndicatorIconPositionY(40.000000)
SaucerVentral8Forward = App.TGPoint3()
SaucerVentral8Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral8Up = App.TGPoint3()
SaucerVentral8Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral8.SetOrientation(SaucerVentral8Forward, SaucerVentral8Up)
SaucerVentral8.SetWidth(0.001000)
SaucerVentral8.SetLength(0.001000)
SaucerVentral8.SetArcWidthAngles(0.610865, 1.570796)
SaucerVentral8.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral8.SetPhaserTextureStart(0)
SaucerVentral8.SetPhaserTextureEnd(0)
SaucerVentral8.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral8.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral8.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral8.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral8.SetInnerCoreColor(kColor)
SaucerVentral8.SetNumSides(6)
SaucerVentral8.SetMainRadius(0.140000)
SaucerVentral8.SetTaperRadius(0.020000)
SaucerVentral8.SetCoreScale(0.300000)
SaucerVentral8.SetTaperRatio(0.250000)
SaucerVentral8.SetTaperMinLength(30.000000)
SaucerVentral8.SetTaperMaxLength(30.000000)
SaucerVentral8.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral8.SetPerimeterTile(1.000000)
SaucerVentral8.SetTextureSpeed(1.000000)
SaucerVentral8.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral8)
#################################################
SaucerVentral9 = App.PhaserProperty_Create("Saucer Ventral 9")

SaucerVentral9.SetMaxCondition(2000.000000)
SaucerVentral9.SetCritical(0)
SaucerVentral9.SetTargetable(1)
SaucerVentral9.SetPrimary(1)
SaucerVentral9.SetPosition(-0.570000, 4.500000, -0.180000)
SaucerVentral9.SetPosition2D(0.000000, 0.000000)
SaucerVentral9.SetRepairComplexity(1.000000)
SaucerVentral9.SetDisabledPercentage(0.400000)
SaucerVentral9.SetRadius(0.250000)
SaucerVentral9.SetDumbfire(0)
SaucerVentral9.SetWeaponID(1)
SaucerVentral9.SetGroups(0)
SaucerVentral9.SetDamageRadiusFactor(0.250000)
SaucerVentral9.SetIconNum(361)
SaucerVentral9.SetIconPositionX(15.000000)
SaucerVentral9.SetIconPositionY(40.000000)
SaucerVentral9.SetIconAboveShip(1)
SaucerVentral9.SetFireSound("DJPhaser")
SaucerVentral9.SetMaxCharge(1.500000)
SaucerVentral9.SetMaxDamage(2700.000000)
SaucerVentral9.SetMaxDamageDistance(100.000000)
SaucerVentral9.SetMinFiringCharge(1.500000)
SaucerVentral9.SetNormalDischargeRate(2.500000)
SaucerVentral9.SetRechargeRate(1.000000)
SaucerVentral9.SetIndicatorIconNum(508)
SaucerVentral9.SetIndicatorIconPositionX(11.000000)
SaucerVentral9.SetIndicatorIconPositionY(40.000000)
SaucerVentral9Forward = App.TGPoint3()
SaucerVentral9Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral9Up = App.TGPoint3()
SaucerVentral9Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral9.SetOrientation(SaucerVentral9Forward, SaucerVentral9Up)
SaucerVentral9.SetWidth(0.001000)
SaucerVentral9.SetLength(0.001000)
SaucerVentral9.SetArcWidthAngles(-0.959931, 0.087266)
SaucerVentral9.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral9.SetPhaserTextureStart(0)
SaucerVentral9.SetPhaserTextureEnd(0)
SaucerVentral9.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral9.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral9.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral9.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral9.SetInnerCoreColor(kColor)
SaucerVentral9.SetNumSides(6)
SaucerVentral9.SetMainRadius(0.140000)
SaucerVentral9.SetTaperRadius(0.020000)
SaucerVentral9.SetCoreScale(0.300000)
SaucerVentral9.SetTaperRatio(0.250000)
SaucerVentral9.SetTaperMinLength(30.000000)
SaucerVentral9.SetTaperMaxLength(30.000000)
SaucerVentral9.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral9.SetPerimeterTile(1.000000)
SaucerVentral9.SetTextureSpeed(1.000000)
SaucerVentral9.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral9)
#################################################
SaucerVentral10 = App.PhaserProperty_Create("Saucer Ventral 10")

SaucerVentral10.SetMaxCondition(2000.000000)
SaucerVentral10.SetCritical(0)
SaucerVentral10.SetTargetable(1)
SaucerVentral10.SetPrimary(1)
SaucerVentral10.SetPosition(0.570000, 4.500000, -0.180000)
SaucerVentral10.SetPosition2D(0.000000, 0.000000)
SaucerVentral10.SetRepairComplexity(1.000000)
SaucerVentral10.SetDisabledPercentage(0.400000)
SaucerVentral10.SetRadius(0.250000)
SaucerVentral10.SetDumbfire(0)
SaucerVentral10.SetWeaponID(1)
SaucerVentral10.SetGroups(0)
SaucerVentral10.SetDamageRadiusFactor(0.250000)
SaucerVentral10.SetIconNum(361)
SaucerVentral10.SetIconPositionX(15.000000)
SaucerVentral10.SetIconPositionY(40.000000)
SaucerVentral10.SetIconAboveShip(1)
SaucerVentral10.SetFireSound("DJPhaser")
SaucerVentral10.SetMaxCharge(1.500000)
SaucerVentral10.SetMaxDamage(2700.000000)
SaucerVentral10.SetMaxDamageDistance(100.000000)
SaucerVentral10.SetMinFiringCharge(1.500000)
SaucerVentral10.SetNormalDischargeRate(2.500000)
SaucerVentral10.SetRechargeRate(1.000000)
SaucerVentral10.SetIndicatorIconNum(508)
SaucerVentral10.SetIndicatorIconPositionX(11.000000)
SaucerVentral10.SetIndicatorIconPositionY(40.000000)
SaucerVentral10Forward = App.TGPoint3()
SaucerVentral10Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral10Up = App.TGPoint3()
SaucerVentral10Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral10.SetOrientation(SaucerVentral10Forward, SaucerVentral10Up)
SaucerVentral10.SetWidth(0.001000)
SaucerVentral10.SetLength(0.001000)
SaucerVentral10.SetArcWidthAngles(-0.087266, 0.959931)
SaucerVentral10.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral10.SetPhaserTextureStart(0)
SaucerVentral10.SetPhaserTextureEnd(0)
SaucerVentral10.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral10.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral10.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral10.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral10.SetInnerCoreColor(kColor)
SaucerVentral10.SetNumSides(6)
SaucerVentral10.SetMainRadius(0.140000)
SaucerVentral10.SetTaperRadius(0.020000)
SaucerVentral10.SetCoreScale(0.300000)
SaucerVentral10.SetTaperRatio(0.250000)
SaucerVentral10.SetTaperMinLength(30.000000)
SaucerVentral10.SetTaperMaxLength(30.000000)
SaucerVentral10.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral10.SetPerimeterTile(1.000000)
SaucerVentral10.SetTextureSpeed(1.000000)
SaucerVentral10.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral10)
#################################################
SaucerVentral11 = App.PhaserProperty_Create("Saucer Ventral 11")

SaucerVentral11.SetMaxCondition(2000.000000)
SaucerVentral11.SetCritical(0)
SaucerVentral11.SetTargetable(1)
SaucerVentral11.SetPrimary(1)
SaucerVentral11.SetPosition(0.000000, 4.815000, -0.180000)
SaucerVentral11.SetPosition2D(0.000000, 0.000000)
SaucerVentral11.SetRepairComplexity(1.000000)
SaucerVentral11.SetDisabledPercentage(0.400000)
SaucerVentral11.SetRadius(0.250000)
SaucerVentral11.SetDumbfire(0)
SaucerVentral11.SetWeaponID(1)
SaucerVentral11.SetGroups(0)
SaucerVentral11.SetDamageRadiusFactor(0.250000)
SaucerVentral11.SetIconNum(361)
SaucerVentral11.SetIconPositionX(15.000000)
SaucerVentral11.SetIconPositionY(40.000000)
SaucerVentral11.SetIconAboveShip(1)
SaucerVentral11.SetFireSound("DJPhaser")
SaucerVentral11.SetMaxCharge(1.500000)
SaucerVentral11.SetMaxDamage(2700.000000)
SaucerVentral11.SetMaxDamageDistance(100.000000)
SaucerVentral11.SetMinFiringCharge(1.500000)
SaucerVentral11.SetNormalDischargeRate(2.500000)
SaucerVentral11.SetRechargeRate(1.000000)
SaucerVentral11.SetIndicatorIconNum(508)
SaucerVentral11.SetIndicatorIconPositionX(11.000000)
SaucerVentral11.SetIndicatorIconPositionY(40.000000)
SaucerVentral11Forward = App.TGPoint3()
SaucerVentral11Forward.SetXYZ(0.000000, 1.000000, 0.000000)
SaucerVentral11Up = App.TGPoint3()
SaucerVentral11Up.SetXYZ(0.000000, 0.000000, 1.000000)
SaucerVentral11.SetOrientation(SaucerVentral11Forward, SaucerVentral11Up)
SaucerVentral11.SetWidth(0.001000)
SaucerVentral11.SetLength(0.001000)
SaucerVentral11.SetArcWidthAngles(-0.523599, 0.523599)
SaucerVentral11.SetArcHeightAngles(-1.570796, 0.000000)
SaucerVentral11.SetPhaserTextureStart(0)
SaucerVentral11.SetPhaserTextureEnd(0)
SaucerVentral11.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.000000, 0.000000, 1.000000)
SaucerVentral11.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 0.501961, 1.000000)
SaucerVentral11.SetInnerShellColor(kColor)
kColor.SetRGBA(0.976471, 0.792157, 0.674510, 1.000000)
SaucerVentral11.SetOuterCoreColor(kColor)
kColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
SaucerVentral11.SetInnerCoreColor(kColor)
SaucerVentral11.SetNumSides(6)
SaucerVentral11.SetMainRadius(0.140000)
SaucerVentral11.SetTaperRadius(0.020000)
SaucerVentral11.SetCoreScale(0.300000)
SaucerVentral11.SetTaperRatio(0.250000)
SaucerVentral11.SetTaperMinLength(30.000000)
SaucerVentral11.SetTaperMaxLength(30.000000)
SaucerVentral11.SetLengthTextureTilePerUnit(0.050000)
SaucerVentral11.SetPerimeterTile(1.000000)
SaucerVentral11.SetTextureSpeed(1.000000)
SaucerVentral11.SetTextureName("data/DJPhaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(SaucerVentral11)
#################################################
Launcher3 = App.PulseWeaponProperty_Create("Launcher 3")

Launcher3.SetMaxCondition(2000.000000)
Launcher3.SetCritical(0)
Launcher3.SetTargetable(1)
Launcher3.SetPrimary(1)
Launcher3.SetPosition(-0.017000, 2.710000, -0.594000)
Launcher3.SetPosition2D(0.000000, 0.000000)
Launcher3.SetRepairComplexity(1.500000)
Launcher3.SetDisabledPercentage(0.350000)
Launcher3.SetRadius(0.250000)
Launcher3.SetDumbfire(1)
Launcher3.SetWeaponID(8)
Launcher3.SetGroups(0)
Launcher3.SetDamageRadiusFactor(0.300000)
Launcher3.SetIconNum(365)
Launcher3.SetIconPositionX(77.000000)
Launcher3.SetIconPositionY(45.000000)
Launcher3.SetIconAboveShip(1)
Launcher3.SetFireSound("DJQuantum")
Launcher3.SetMaxCharge(50.000000)
Launcher3.SetMaxDamage(1500.000000)
Launcher3.SetMaxDamageDistance(2000.000000)
Launcher3.SetMinFiringCharge(1.000000)
Launcher3.SetNormalDischargeRate(1.000000)
Launcher3.SetRechargeRate(0.000000)
Launcher3.SetIndicatorIconNum(0)
Launcher3.SetIndicatorIconPositionX(79.000000)
Launcher3.SetIndicatorIconPositionY(49.000000)
Launcher3Forward = App.TGPoint3()
Launcher3Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Launcher3Up = App.TGPoint3()
Launcher3Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher3.SetOrientation(Launcher3Forward, Launcher3Up)
Launcher3.SetArcWidthAngles(-0.261799, 0.261799)
Launcher3.SetArcHeightAngles(0.087266, -0.349066)
Launcher3.SetCooldownTime(6.000000)
Launcher3.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher3)
#################################################
Launcher4 = App.PulseWeaponProperty_Create("Launcher 4")

Launcher4.SetMaxCondition(2000.000000)
Launcher4.SetCritical(0)
Launcher4.SetTargetable(1)
Launcher4.SetPrimary(1)
Launcher4.SetPosition(0.017000, 2.710000, -0.594000)
Launcher4.SetPosition2D(0.000000, 0.000000)
Launcher4.SetRepairComplexity(1.500000)
Launcher4.SetDisabledPercentage(0.350000)
Launcher4.SetRadius(0.250000)
Launcher4.SetDumbfire(1)
Launcher4.SetWeaponID(8)
Launcher4.SetGroups(0)
Launcher4.SetDamageRadiusFactor(0.300000)
Launcher4.SetIconNum(365)
Launcher4.SetIconPositionX(77.000000)
Launcher4.SetIconPositionY(45.000000)
Launcher4.SetIconAboveShip(1)
Launcher4.SetFireSound("DJQuantum")
Launcher4.SetMaxCharge(50.000000)
Launcher4.SetMaxDamage(1500.000000)
Launcher4.SetMaxDamageDistance(2000.000000)
Launcher4.SetMinFiringCharge(1.000000)
Launcher4.SetNormalDischargeRate(1.000000)
Launcher4.SetRechargeRate(0.000000)
Launcher4.SetIndicatorIconNum(0)
Launcher4.SetIndicatorIconPositionX(79.000000)
Launcher4.SetIndicatorIconPositionY(49.000000)
Launcher4Forward = App.TGPoint3()
Launcher4Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Launcher4Up = App.TGPoint3()
Launcher4Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher4.SetOrientation(Launcher4Forward, Launcher4Up)
Launcher4.SetArcWidthAngles(-0.261799, 0.261799)
Launcher4.SetArcHeightAngles(0.087266, -0.349066)
Launcher4.SetCooldownTime(6.000000)
Launcher4.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher4)
#################################################
Launcher5 = App.PulseWeaponProperty_Create("Launcher 5")

Launcher5.SetMaxCondition(2000.000000)
Launcher5.SetCritical(0)
Launcher5.SetTargetable(1)
Launcher5.SetPrimary(1)
Launcher5.SetPosition(-0.017000, 3.988000, -0.270000)
Launcher5.SetPosition2D(0.000000, 0.000000)
Launcher5.SetRepairComplexity(1.500000)
Launcher5.SetDisabledPercentage(0.350000)
Launcher5.SetRadius(0.250000)
Launcher5.SetDumbfire(1)
Launcher5.SetWeaponID(8)
Launcher5.SetGroups(0)
Launcher5.SetDamageRadiusFactor(0.300000)
Launcher5.SetIconNum(365)
Launcher5.SetIconPositionX(70.000000)
Launcher5.SetIconPositionY(30.000000)
Launcher5.SetIconAboveShip(1)
Launcher5.SetFireSound("DJQuantum")
Launcher5.SetMaxCharge(50.000000)
Launcher5.SetMaxDamage(1500.000000)
Launcher5.SetMaxDamageDistance(2000.000000)
Launcher5.SetMinFiringCharge(1.000000)
Launcher5.SetNormalDischargeRate(1.000000)
Launcher5.SetRechargeRate(0.000000)
Launcher5.SetIndicatorIconNum(0)
Launcher5.SetIndicatorIconPositionX(15.000000)
Launcher5.SetIndicatorIconPositionY(15.000000)
Launcher5Forward = App.TGPoint3()
Launcher5Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Launcher5Up = App.TGPoint3()
Launcher5Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher5.SetOrientation(Launcher5Forward, Launcher5Up)
Launcher5.SetArcWidthAngles(-0.261799, 0.261799)
Launcher5.SetArcHeightAngles(0.000000, -0.349066)
Launcher5.SetCooldownTime(6.000000)
Launcher5.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher5)
#################################################
Launcher6 = App.PulseWeaponProperty_Create("Launcher 6")

Launcher6.SetMaxCondition(2000.000000)
Launcher6.SetCritical(0)
Launcher6.SetTargetable(1)
Launcher6.SetPrimary(1)
Launcher6.SetPosition(0.017000, 3.988000, -0.270000)
Launcher6.SetPosition2D(0.000000, 0.000000)
Launcher6.SetRepairComplexity(1.500000)
Launcher6.SetDisabledPercentage(0.350000)
Launcher6.SetRadius(0.250000)
Launcher6.SetDumbfire(1)
Launcher6.SetWeaponID(8)
Launcher6.SetGroups(0)
Launcher6.SetDamageRadiusFactor(0.300000)
Launcher6.SetIconNum(365)
Launcher6.SetIconPositionX(70.000000)
Launcher6.SetIconPositionY(30.000000)
Launcher6.SetIconAboveShip(1)
Launcher6.SetFireSound("DJQuantum")
Launcher6.SetMaxCharge(50.000000)
Launcher6.SetMaxDamage(1500.000000)
Launcher6.SetMaxDamageDistance(2000.000000)
Launcher6.SetMinFiringCharge(1.000000)
Launcher6.SetNormalDischargeRate(1.000000)
Launcher6.SetRechargeRate(0.000000)
Launcher6.SetIndicatorIconNum(0)
Launcher6.SetIndicatorIconPositionX(15.000000)
Launcher6.SetIndicatorIconPositionY(15.000000)
Launcher6Forward = App.TGPoint3()
Launcher6Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Launcher6Up = App.TGPoint3()
Launcher6Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher6.SetOrientation(Launcher6Forward, Launcher6Up)
Launcher6.SetArcWidthAngles(-0.261799, 0.261799)
Launcher6.SetArcHeightAngles(0.000000, -0.349066)
Launcher6.SetCooldownTime(6.000000)
Launcher6.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher6)
#################################################
Launcher7 = App.PulseWeaponProperty_Create("Launcher 7")

Launcher7.SetMaxCondition(2000.000000)
Launcher7.SetCritical(0)
Launcher7.SetTargetable(1)
Launcher7.SetPrimary(1)
Launcher7.SetPosition(-0.017000, -0.780000, 0.277000)
Launcher7.SetPosition2D(0.000000, 0.000000)
Launcher7.SetRepairComplexity(1.500000)
Launcher7.SetDisabledPercentage(0.350000)
Launcher7.SetRadius(0.250000)
Launcher7.SetDumbfire(1)
Launcher7.SetWeaponID(8)
Launcher7.SetGroups(0)
Launcher7.SetDamageRadiusFactor(0.300000)
Launcher7.SetIconNum(366)
Launcher7.SetIconPositionX(77.000000)
Launcher7.SetIconPositionY(97.000000)
Launcher7.SetIconAboveShip(1)
Launcher7.SetFireSound("DJQuantum")
Launcher7.SetMaxCharge(50.000000)
Launcher7.SetMaxDamage(1500.000000)
Launcher7.SetMaxDamageDistance(2000.000000)
Launcher7.SetMinFiringCharge(1.000000)
Launcher7.SetNormalDischargeRate(1.000000)
Launcher7.SetRechargeRate(0.000000)
Launcher7.SetIndicatorIconNum(0)
Launcher7.SetIndicatorIconPositionX(79.000000)
Launcher7.SetIndicatorIconPositionY(101.000000)
Launcher7Forward = App.TGPoint3()
Launcher7Forward.SetXYZ(0.000000, -1.000000, 0.000000)
Launcher7Up = App.TGPoint3()
Launcher7Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher7.SetOrientation(Launcher7Forward, Launcher7Up)
Launcher7.SetArcWidthAngles(-0.261799, 0.261799)
Launcher7.SetArcHeightAngles(0.349066, -0.034907)
Launcher7.SetCooldownTime(6.000000)
Launcher7.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher7)
#################################################
Launcher8 = App.PulseWeaponProperty_Create("Launcher 8")

Launcher8.SetMaxCondition(2000.000000)
Launcher8.SetCritical(0)
Launcher8.SetTargetable(1)
Launcher8.SetPrimary(1)
Launcher8.SetPosition(0.017000, -0.780000, 0.277000)
Launcher8.SetPosition2D(0.000000, 0.000000)
Launcher8.SetRepairComplexity(1.500000)
Launcher8.SetDisabledPercentage(0.350000)
Launcher8.SetRadius(0.250000)
Launcher8.SetDumbfire(1)
Launcher8.SetWeaponID(8)
Launcher8.SetGroups(0)
Launcher8.SetDamageRadiusFactor(0.300000)
Launcher8.SetIconNum(366)
Launcher8.SetIconPositionX(77.000000)
Launcher8.SetIconPositionY(98.000000)
Launcher8.SetIconAboveShip(1)
Launcher8.SetFireSound("DJQuantum")
Launcher8.SetMaxCharge(50.000000)
Launcher8.SetMaxDamage(1500.000000)
Launcher8.SetMaxDamageDistance(2000.000000)
Launcher8.SetMinFiringCharge(1.000000)
Launcher8.SetNormalDischargeRate(1.000000)
Launcher8.SetRechargeRate(0.000000)
Launcher8.SetIndicatorIconNum(0)
Launcher8.SetIndicatorIconPositionX(79.000000)
Launcher8.SetIndicatorIconPositionY(102.000000)
Launcher8Forward = App.TGPoint3()
Launcher8Forward.SetXYZ(0.000000, -1.000000, 0.000000)
Launcher8Up = App.TGPoint3()
Launcher8Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher8.SetOrientation(Launcher8Forward, Launcher8Up)
Launcher8.SetArcWidthAngles(-0.261799, 0.261799)
Launcher8.SetArcHeightAngles(0.349066, -0.034907)
Launcher8.SetCooldownTime(6.000000)
Launcher8.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher8)
#################################################
Launcher9 = App.PulseWeaponProperty_Create("Launcher 9")

Launcher9.SetMaxCondition(2000.000000)
Launcher9.SetCritical(0)
Launcher9.SetTargetable(1)
Launcher9.SetPrimary(1)
Launcher9.SetPosition(-0.017000, -0.780000, 0.277000)
Launcher9.SetPosition2D(0.000000, 0.000000)
Launcher9.SetRepairComplexity(1.500000)
Launcher9.SetDisabledPercentage(0.350000)
Launcher9.SetRadius(0.250000)
Launcher9.SetDumbfire(1)
Launcher9.SetWeaponID(8)
Launcher9.SetGroups(0)
Launcher9.SetDamageRadiusFactor(0.300000)
Launcher9.SetIconNum(366)
Launcher9.SetIconPositionX(77.000000)
Launcher9.SetIconPositionY(98.000000)
Launcher9.SetIconAboveShip(1)
Launcher9.SetFireSound("DJQuantum")
Launcher9.SetMaxCharge(50.000000)
Launcher9.SetMaxDamage(1500.000000)
Launcher9.SetMaxDamageDistance(2000.000000)
Launcher9.SetMinFiringCharge(1.000000)
Launcher9.SetNormalDischargeRate(1.000000)
Launcher9.SetRechargeRate(0.000000)
Launcher9.SetIndicatorIconNum(0)
Launcher9.SetIndicatorIconPositionX(79.000000)
Launcher9.SetIndicatorIconPositionY(102.000000)
Launcher9Forward = App.TGPoint3()
Launcher9Forward.SetXYZ(0.000000, -1.000000, 0.000000)
Launcher9Up = App.TGPoint3()
Launcher9Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher9.SetOrientation(Launcher9Forward, Launcher9Up)
Launcher9.SetArcWidthAngles(-0.261799, 0.261799)
Launcher9.SetArcHeightAngles(0.349066, -0.034907)
Launcher9.SetCooldownTime(6.000000)
Launcher9.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher9)
#################################################
Launcher10 = App.PulseWeaponProperty_Create("Launcher 10")

Launcher10.SetMaxCondition(2000.000000)
Launcher10.SetCritical(0)
Launcher10.SetTargetable(1)
Launcher10.SetPrimary(1)
Launcher10.SetPosition(0.017000, -0.780000, 0.277000)
Launcher10.SetPosition2D(0.000000, 0.000000)
Launcher10.SetRepairComplexity(1.500000)
Launcher10.SetDisabledPercentage(0.350000)
Launcher10.SetRadius(0.250000)
Launcher10.SetDumbfire(1)
Launcher10.SetWeaponID(8)
Launcher10.SetGroups(0)
Launcher10.SetDamageRadiusFactor(0.300000)
Launcher10.SetIconNum(366)
Launcher10.SetIconPositionX(77.000000)
Launcher10.SetIconPositionY(97.000000)
Launcher10.SetIconAboveShip(1)
Launcher10.SetFireSound("DJQuantum")
Launcher10.SetMaxCharge(50.000000)
Launcher10.SetMaxDamage(1500.000000)
Launcher10.SetMaxDamageDistance(2000.000000)
Launcher10.SetMinFiringCharge(1.000000)
Launcher10.SetNormalDischargeRate(1.000000)
Launcher10.SetRechargeRate(0.000000)
Launcher10.SetIndicatorIconNum(0)
Launcher10.SetIndicatorIconPositionX(79.000000)
Launcher10.SetIndicatorIconPositionY(101.000000)
Launcher10Forward = App.TGPoint3()
Launcher10Forward.SetXYZ(0.000000, -1.000000, 0.000000)
Launcher10Up = App.TGPoint3()
Launcher10Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher10.SetOrientation(Launcher10Forward, Launcher10Up)
Launcher10.SetArcWidthAngles(-0.261799, 0.261799)
Launcher10.SetArcHeightAngles(0.349066, -0.034907)
Launcher10.SetCooldownTime(6.000000)
Launcher10.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher10)
#################################################
Launcher11 = App.PulseWeaponProperty_Create("Launcher 11")

Launcher11.SetMaxCondition(2000.000000)
Launcher11.SetCritical(0)
Launcher11.SetTargetable(1)
Launcher11.SetPrimary(1)
Launcher11.SetPosition(-0.017000, -0.041000, -0.724000)
Launcher11.SetPosition2D(0.000000, 0.000000)
Launcher11.SetRepairComplexity(1.500000)
Launcher11.SetDisabledPercentage(0.350000)
Launcher11.SetRadius(0.250000)
Launcher11.SetDumbfire(1)
Launcher11.SetWeaponID(8)
Launcher11.SetGroups(0)
Launcher11.SetDamageRadiusFactor(0.300000)
Launcher11.SetIconNum(366)
Launcher11.SetIconPositionX(77.000000)
Launcher11.SetIconPositionY(98.000000)
Launcher11.SetIconAboveShip(1)
Launcher11.SetFireSound("DJQuantum")
Launcher11.SetMaxCharge(50.000000)
Launcher11.SetMaxDamage(1500.000000)
Launcher11.SetMaxDamageDistance(2000.000000)
Launcher11.SetMinFiringCharge(1.000000)
Launcher11.SetNormalDischargeRate(1.000000)
Launcher11.SetRechargeRate(0.000000)
Launcher11.SetIndicatorIconNum(0)
Launcher11.SetIndicatorIconPositionX(79.000000)
Launcher11.SetIndicatorIconPositionY(102.000000)
Launcher11Forward = App.TGPoint3()
Launcher11Forward.SetXYZ(0.000000, -1.000000, 0.000000)
Launcher11Up = App.TGPoint3()
Launcher11Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher11.SetOrientation(Launcher11Forward, Launcher11Up)
Launcher11.SetArcWidthAngles(-0.261799, 0.261799)
Launcher11.SetArcHeightAngles(0.174533, -0.349066)
Launcher11.SetCooldownTime(6.000000)
Launcher11.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher11)
#################################################
Launcher12 = App.PulseWeaponProperty_Create("Launcher 12")

Launcher12.SetMaxCondition(2000.000000)
Launcher12.SetCritical(0)
Launcher12.SetTargetable(1)
Launcher12.SetPrimary(1)
Launcher12.SetPosition(0.017000, -0.041000, -0.724000)
Launcher12.SetPosition2D(0.000000, 0.000000)
Launcher12.SetRepairComplexity(1.500000)
Launcher12.SetDisabledPercentage(0.350000)
Launcher12.SetRadius(0.250000)
Launcher12.SetDumbfire(1)
Launcher12.SetWeaponID(8)
Launcher12.SetGroups(0)
Launcher12.SetDamageRadiusFactor(0.300000)
Launcher12.SetIconNum(366)
Launcher12.SetIconPositionX(77.000000)
Launcher12.SetIconPositionY(98.000000)
Launcher12.SetIconAboveShip(1)
Launcher12.SetFireSound("DJQuantum")
Launcher12.SetMaxCharge(50.000000)
Launcher12.SetMaxDamage(1500.000000)
Launcher12.SetMaxDamageDistance(2000.000000)
Launcher12.SetMinFiringCharge(1.000000)
Launcher12.SetNormalDischargeRate(1.000000)
Launcher12.SetRechargeRate(0.000000)
Launcher12.SetIndicatorIconNum(0)
Launcher12.SetIndicatorIconPositionX(79.000000)
Launcher12.SetIndicatorIconPositionY(102.000000)
Launcher12Forward = App.TGPoint3()
Launcher12Forward.SetXYZ(0.000000, -1.000000, 0.000000)
Launcher12Up = App.TGPoint3()
Launcher12Up.SetXYZ(0.000000, 0.000000, 1.000000)
Launcher12.SetOrientation(Launcher12Forward, Launcher12Up)
Launcher12.SetArcWidthAngles(-0.261799, 0.261799)
Launcher12.SetArcHeightAngles(0.174533, -0.349066)
Launcher12.SetCooldownTime(6.000000)
Launcher12.SetModuleName("Tactical.Projectiles.DJQuantum")
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher12)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(2000.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(0.000000, 0.350000, 0.490000)
ShuttleBay.SetPosition2D(0.000000, 0.000000)
ShuttleBay.SetRepairComplexity(1.000000)
ShuttleBay.SetDisabledPercentage(0.500000)
ShuttleBay.SetRadius(0.250000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(1.000000, 0.000000, 0.000000)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(0.000000, 0.350000, 0.490000)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("DJEnterpriseG", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Drive", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Nacelle", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Starboard Nacelle", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Drive", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Starboard Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractors", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Fwd Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPerson", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Repair", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Phasers", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Quantum Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker8", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker9", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker10", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker11", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker12", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker13", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker14", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker15", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker16", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker17", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker18", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker19", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Blinker20", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Ablative Armor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Ablative Armor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Ablative Armor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Ablative Armor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Dorsal 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Dorsal 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Dorsal 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Ventral 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Ventral 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Ventral 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Nacelle Dorsal 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Nacelle Dorsal 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Pylon 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Pylon 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Drive Section 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Drive Section 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Belly 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Belly 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Saucer Dorsal 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Saucer Dorsal 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Saucer Dorsal 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Saucer Dorsal 4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Saucer Ventral 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Saucer Ventral 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Saucer Ventral 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Saucer Ventral 4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 7", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 8", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 9", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 10", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 11", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 12", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
